#ifndef CORRECTEVENTRPMT
#define CORRECTEVENTRPMT

#include "Header.hh"
#include "UtsusemiHeader.hh"

#ifdef _MSC_VER
    #include "msvc/dirent.h"
#else
#include <dirent.h>
#endif

/////////////////////////////
// CorrectEventRPMT
////////////////////////////

//! Function to remove noise events with 4byte from RPMT event data file
/*! 
 * 
 * 
 *  
 * 
 */

class CorrectEventRPMT
{
private:
    string _orgDataDir;
    vector<string> _targetFiles;
public:
    CorrectEventRPMT();
    ~CorrectEventRPMT();

    bool SetTarget( string dataDir, UInt4 runNO, UInt4 daqId, UInt4 modNo, string instCode="SAS", string ext_code="edb");
    bool Execute( string dataDir, UInt4 convRunNo, string instCode="SAS", string ext_code="edb" );

};
#endif
    
