%module  TKtools

%include "carrays.i"
%include "std_string.i"
%include "std_vector.i"
%include "std_pair.i"
%include "VectorDef.i"

%{
#include "Header.hh"
#include "CalcPowder.hh"
#include "ElementContainerUtility.hh"
#include "HistogramBinToPointTk.hh"
#include "M2Slicer.hh"
#include "SliceContainer.hh"
#include "AbsorptionCorrection.hh"
%}

%include "Header.hh"
%include "DoxySwig.i"
%include "TemplateDef.i"

%include "CalcPowder.hh"
%include "ElementContainerUtility.hh"
%include "HistogramBinToPointTk.hh"
%include "M2Slicer.hh"
%include "SliceContainer.hh"
%include "AbsorptionCorrection.hh"


