#include "T0TreatToolsReadout.hh"
//////////////////////////////////////////////////////////
T0TreatToolsReadout::
T0TreatToolsReadout():T0TreatToolsBase(){
}
//////////////////////////////////////////////////////////
T0TreatToolsReadout::
~T0TreatToolsReadout(){
}
/////////////////////////////////////////////////////////
UInt4 T0TreatToolsReadout::
checkHeaderT0( UChar aByte ){
    if (aByte==(UChar)0xb7){
        return 1;
    }else{
        return 0;
    }
}
/////////////////////////////////////////////////////////
UInt4 T0TreatToolsReadout::
checkHeaderClock( UChar aByte ){
    if (aByte==(UChar)0xb9){
        return 1;
    }else{
        return 0;
    }
}
/////////////////////////////////////////////////////////
UInt8 T0TreatToolsReadout::
decodePulseIdEvent(UChar buf[]){
    UInt8 pid;
    pid= ((UInt4)buf[4]>> 1)
        +((UInt4)buf[5]<< 7)
        +((UInt4)buf[6]<<15)
        +((UInt4)buf[7]<<23);
    return pid;
}
/////////////////////////////////////////////////////////
Double T0TreatToolsReadout::
decodeInstClockEvent(UChar buf[]){
    UInt4 sec;
    Double subsec;

    sec= ((UInt4)buf[1])
        +((UInt4)buf[2]<<8)
        +((UInt4)buf[3]<<16)
        +((UInt4)buf[4]<<24);
    
    subsec=(Double)(
         ((UInt4)buf[5])
        +((UInt4)buf[6]<< 8)
        +((UInt4)buf[7]<<16))/1000./1000.;

    return ((Double)sec + subsec);
}

