// File: classAcquireNeutronSourceImageInformation.xml

%feature("docstring") AcquireNeutronSourceImageInformation "

";
%feature("docstring") AcquireNeutronSourceImageInformation::AcquireNeutronSourceImageInformation "AcquireNeutronSourceImageInformation::AcquireNeutronSourceImageInformation()
=============================================================================
    Constructor. 

    
AcquireNeutronSourceImageInformation::AcquireNeutronSourceImageInformation(string host_name, Bool debug_flag=false)
====================================================================================================================
    Constructor.

    Args:
        host_name The server name which is the information Web page of neutron source.
        debug_flag The flag to show some parameters under running. ( OFF:false/0, ON:true/1 ) 
    
AcquireNeutronSourceImageInformation::AcquireNeutronSourceImageInformation(Bool debug_flag)
============================================================================================
    Constructor.

    Args:
        debug_flag The flag to show some parameters under running. ( OFF:false/0, ON:true/1 ) 
";
%feature("docstring") AcquireNeutronSourceImageInformation::~AcquireNeutronSourceImageInformation "AcquireNeutronSourceImageInformation::~AcquireNeutronSourceImageInformation()
==============================================================================
    Destructor. 

";
%feature("docstring") AcquireNeutronSourceImageInformation::SetSavePath "Int4 AcquireNeutronSourceImageInformation::SetSavePath(const string save_path) 

";
%feature("docstring") AcquireNeutronSourceImageInformation::GetImageInformation "void AcquireNeutronSourceImageInformation::GetImageInformation(const string Key) 

    
void AcquireNeutronSourceImageInformation::GetImageInformation(const string Key, const string Start) 
    
void AcquireNeutronSourceImageInformation::GetImageInformation(const string Key, const string Start, const string End) 
";
%feature("docstring") AcquireNeutronSourceImageInformation::PutImagePath "string AcquireNeutronSourceImageInformation::PutImagePath(const string Key) 

    
string AcquireNeutronSourceImageInformation::PutImagePath(const string Key, const UInt4 year, const UInt4 month, const UInt4 day, const UInt4 hour) 
";
%feature("docstring") AcquireNeutronSourceImageInformation::PutImageFilename "string AcquireNeutronSourceImageInformation::PutImageFilename(const string Key) 

    
string AcquireNeutronSourceImageInformation::PutImageFilename(const string Key, const UInt4 year, const UInt4 month, const UInt4 day, const UInt4 hour) 
";
// File: classAcquireNeutronSourceInformationBase.xml

%feature("docstring") AcquireNeutronSourceInformationBase "

";
%feature("docstring") AcquireNeutronSourceInformationBase::AcquireNeutronSourceInformationBase "AcquireNeutronSourceInformationBase::AcquireNeutronSourceInformationBase()
===========================================================================
    Constructor. 

    
AcquireNeutronSourceInformationBase::AcquireNeutronSourceInformationBase(string host_name)
===========================================================================================
    Constructor.

    Args:
        host_name The server name which is the information Web page of neutron source. 
";
%feature("docstring") AcquireNeutronSourceInformationBase::~AcquireNeutronSourceInformationBase "AcquireNeutronSourceInformationBase::~AcquireNeutronSourceInformationBase()
============================================================================
    Destructor. 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SetHostName "void AcquireNeutronSourceInformationBase::SetHostName(const string host_name) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SetHostProtocol "void AcquireNeutronSourceInformationBase::SetHostProtocol(const string host_protocol) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SetFilePath "void AcquireNeutronSourceInformationBase::SetFilePath(const string file_path) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::PutHostName "string AcquireNeutronSourceInformationBase::PutHostName() 

";
%feature("docstring") AcquireNeutronSourceInformationBase::PutFilePath "string AcquireNeutronSourceInformationBase::PutFilePath() 

";
%feature("docstring") AcquireNeutronSourceInformationBase::InitializeSockaddrIn "Int4 AcquireNeutronSourceInformationBase::InitializeSockaddrIn() 

";
%feature("docstring") AcquireNeutronSourceInformationBase::CreateSocket "Int4 AcquireNeutronSourceInformationBase::CreateSocket() 

";
%feature("docstring") AcquireNeutronSourceInformationBase::ServerConnect "Int4 AcquireNeutronSourceInformationBase::ServerConnect() 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SocketClose "void AcquireNeutronSourceInformationBase::SocketClose() 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SendRequest "Int4 AcquireNeutronSourceInformationBase::SendRequest(string &request) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SendRequestHTTP "Int4 AcquireNeutronSourceInformationBase::SendRequestHTTP(string &request) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SendRequestHTTPS "Int4 AcquireNeutronSourceInformationBase::SendRequestHTTPS(string &request) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::RecvReply "Int4 AcquireNeutronSourceInformationBase::RecvReply(string &recv_data) 

";
%feature("docstring") AcquireNeutronSourceInformationBase::SplitBodyData "Int4 AcquireNeutronSourceInformationBase::SplitBodyData(string &recv_data, string &body_data) 

";
// File: classAcquireNeutronSourceInformationControlBase.xml

%feature("docstring") AcquireNeutronSourceInformationControlBase "

";
%feature("docstring") AcquireNeutronSourceInformationControlBase::AcquireNeutronSourceInformationControlBase "AcquireNeutronSourceInformationControlBase::AcquireNeutronSourceInformationControlBase()
=========================================================================================
    Constructor. 

    
AcquireNeutronSourceInformationControlBase::AcquireNeutronSourceInformationControlBase(string host_name)
=========================================================================================================
    Constructor.

    Args:
        host_name The server name which is the information Web page of neutron source. 
";
%feature("docstring") AcquireNeutronSourceInformationControlBase::~AcquireNeutronSourceInformationControlBase "AcquireNeutronSourceInformationControlBase::~AcquireNeutronSourceInformationControlBase()
==========================================================================================
    Destructor. 

";
%feature("docstring") AcquireNeutronSourceInformationControlBase::AcquireControl "Bool AcquireNeutronSourceInformationControlBase::AcquireControl(const string Key) 

";
%feature("docstring") AcquireNeutronSourceInformationControlBase::StringDateToUInt4 "UInt4 AcquireNeutronSourceInformationControlBase::StringDateToUInt4(const string Date, UInt4 &year, UInt4 &month, UInt4 &day, UInt4 &hour) 

";
%feature("docstring") AcquireNeutronSourceInformationControlBase::StringTimeToStructTime "UInt4 AcquireNeutronSourceInformationControlBase::StringTimeToStructTime(const string date_time, const string separator, struct tm *ltm) 

";
%feature("docstring") AcquireNeutronSourceInformationControlBase::StructTimeToStringTime "string AcquireNeutronSourceInformationControlBase::StructTimeToStringTime(struct tm *ltm, const string separator) 

";
// File: classAcquireNeutronSourceTextInformation.xml

%feature("docstring") AcquireNeutronSourceTextInformation "

";
%feature("docstring") AcquireNeutronSourceTextInformation::AcquireNeutronSourceTextInformation "AcquireNeutronSourceTextInformation::AcquireNeutronSourceTextInformation()
===========================================================================
    Constructor. 

    
AcquireNeutronSourceTextInformation::AcquireNeutronSourceTextInformation(string host_name, Bool debug_flag=false)
==================================================================================================================
    Constructor.

    Args:
        host_name The server name which is the information Web page of neutron source.
        debug_flag The flag to show some parameters under running. ( OFF:false/0, ON:true/1 ) 
    
AcquireNeutronSourceTextInformation::AcquireNeutronSourceTextInformation(Bool debug_flag)
==========================================================================================
    Constructor.

    Args:
        debug_flag The flag to show some parameters under running. ( OFF:false/0, ON:true/1 ) 
";
%feature("docstring") AcquireNeutronSourceTextInformation::~AcquireNeutronSourceTextInformation "AcquireNeutronSourceTextInformation::~AcquireNeutronSourceTextInformation()
============================================================================
    Destructor. 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutCgiPath "string AcquireNeutronSourceTextInformation::PutCgiPath(const string Key) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutStepKey "string AcquireNeutronSourceTextInformation::PutStepKey(const string Key, const Int4 StepTime) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::SetRequestMessage "Int4 AcquireNeutronSourceTextInformation::SetRequestMessage(const string Key, const string Start, const string End, const string StepKey) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::SplitValueData "UInt4 AcquireNeutronSourceTextInformation::SplitValueData(const string &body_data, string &info_data) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::SplitBeamOffData "UInt4 AcquireNeutronSourceTextInformation::SplitBeamOffData(const string &body_data, string &info_data) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::ReplaceStr "void AcquireNeutronSourceTextInformation::ReplaceStr(string &str, const string &from, const string &to) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutValueData "vector< Double > AcquireNeutronSourceTextInformation::PutValueData(const string Key, const string Start, const string StepKey, const Int4 bin_step, const string data) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutValueInformation "Double AcquireNeutronSourceTextInformation::PutValueInformation(const string Key) 

    
Double AcquireNeutronSourceTextInformation::PutValueInformation(const string Key, const string Start) 
    
vector< Double > AcquireNeutronSourceTextInformation::PutValueInformation(const string Key, const string Start, const string End, const Int4 StepTime=0) 
";
%feature("docstring") AcquireNeutronSourceTextInformation::PutDateBinInformation "vector< string > AcquireNeutronSourceTextInformation::PutDateBinInformation() 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutTimeBinInformation "vector< string > AcquireNeutronSourceTextInformation::PutTimeBinInformation() 

";
%feature("docstring") AcquireNeutronSourceTextInformation::GetTextInformation "void AcquireNeutronSourceTextInformation::GetTextInformation(const string Key) 

    
void AcquireNeutronSourceTextInformation::GetTextInformation(const string Key, const string Start) 
    
void AcquireNeutronSourceTextInformation::GetTextInformation(const string Key, const string Start, const string End, const Int4 StepTime=TIME_10) 
";
%feature("docstring") AcquireNeutronSourceTextInformation::PutTextFirstInformation "vector< string > AcquireNeutronSourceTextInformation::PutTextFirstInformation() 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutTextSecondInformation "vector< string > AcquireNeutronSourceTextInformation::PutTextSecondInformation() 

";
%feature("docstring") AcquireNeutronSourceTextInformation::ConvertProtonToCurrent "vector< Double > AcquireNeutronSourceTextInformation::ConvertProtonToCurrent(vector< Double > proton, const Int4 bin) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::ConvertCurrentToBeampower "vector< Double > AcquireNeutronSourceTextInformation::ConvertCurrentToBeampower(vector< Double > Current) 

";
%feature("docstring") AcquireNeutronSourceTextInformation::PutShotsCounts "vector<UInt4> AcquireNeutronSourceTextInformation::PutShotsCounts() 

";
// File: classAdvScatAbsoBodyManagerMLF.xml

%feature("docstring") AdvScatAbsoBodyManagerMLF "

    Scatterer and Absoannt
    Koike Soh, AdvanceSoft Corp. (original)
    TANIMORI Souichirou, AdvanceSoft Corp.
    0.0
    C++ includes: AdvScatAbsoBodyManagerMLF.hh 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::AdvScatAbsoBodyManagerMLF "AdvScatAbsoBodyManagerMLF::AdvScatAbsoBodyManagerMLF(void)
===========================================================
    A constructor
    set default atomicDataFile 

    
AdvScatAbsoBodyManagerMLF::AdvScatAbsoBodyManagerMLF(string) 
";
%feature("docstring") AdvScatAbsoBodyManagerMLF::~AdvScatAbsoBodyManagerMLF "virtual AdvScatAbsoBodyManagerMLF::~AdvScatAbsoBodyManagerMLF(void)
====================================================================
    A destructor
    do nothing 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetAtomSigmaFromVelocityRule "Double AdvScatAbsoBodyManagerMLF::GetAtomSigmaFromVelocityRule(string atomname, Char state, double velocity)
=============================================================================================================
    get measured value of scattering/absorption cross section of the specified nuclide or atom

    Args:
        atomname atomic name
        state 'a': absorption, 's': scattering, 't': total
        velocity incident neutron velocity

    Returns:
        cross section for specified atom 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetSigmaFromVelocityRule "void AdvScatAbsoBodyManagerMLF::GetSigmaFromVelocityRule(struct ScatAbsoInfo *, struct ScatAbsoInfo *, double, double *, double *, double *)
=============================================================================================================================================
    get the cross cection data

    Args:
        *wInfo pointer for struct variable wallInfo
        *bInfo pointer for struct variable bodyInfo
        energy incident energy of neutron
        *sigmaBA absorption cross section for body
        *sigmaWA absorption cross section for wall
        *sigmaWS scattering cross section for wall
        get cross section data for body and wall by use of velocity rule.

    Args:
        *wInfo pointer for struct variable wallInfo
        *bInfo pointer for struct variable bodyInfo
        energy incident energy of neutron
        *sigmaBA absorption cross section for body
        *sigmaWA absorption cross section for wall
        *sigmaWS scattering cross section for wall 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::ReturnSigmaFromVelocityRule "Double AdvScatAbsoBodyManagerMLF::ReturnSigmaFromVelocityRule(struct ScatAbsoInfo *, Double, Char)
===================================================================================================
    return cross section data obtained by velocity rule.

    Args:
        *info pointer for struct variable AdvScatAbsoBodyManagerDNA
        energy neutron energy
        state 'a' (absorption), 's' (scattering), t: total

    Returns:
        cross section for wall or body
        return cross section obtained by velocity rule.

    Args:
        info pointer for struct variable AdvScatAbsoBodyManagerDNA
        energy incident energy of neutron
        state 'a': absorption, 's': scattering

    Returns:
        cross section for wall or body 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::SetInfoData "void AdvScatAbsoBodyManagerMLF::SetInfoData(string filename, struct ScatAbsoInfo *wallInfo, struct ScatAbsoInfo *bodyInfo)
===========================================================================================================================
    set AdvScatAbsoBodyManagerDNA variables to values from specified file.

    Args:
        filename scatterer and/or absorbent data file
        wallInfo information of wall of container
        bodyInfo information of scatterer and/or absorbent
        set value to AdvScatAbsoBodyManagerDNA variable.

    Args:
        filename scatterer and/or absorbent data file
        wallInfo information of wall of container
        bodyInfo information of scatterer and/or absorbent 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::SetSigmaDataNIST "void AdvScatAbsoBodyManagerMLF::SetSigmaDataNIST(Double velocity, string atomname, string typeCS)
==================================================================================================
    set an array to cross section data from the file recorded NIST data.

    Args:
        velocity
        atomname atomic name
        typeCS type of scattering and absorption data. available values of typeCS 't' sum of scattering cross section and absorption cross sction midefied using user specified velocity
        'a' absorption cross sction midefied using user specified velocity
        's' scattering cross section
        'c' cohrent length
        'i' incoherent length
        array dataCS[][] in the class keeps NIST data in following way, dataCS[0][0] incident neutron velocity at measurement
        dataCS[0][1] user specified data using character symbol
        set sigma by use of database file made by NIST

    Args:
        atomname atomic name
        typeCS mass number, atomic name and scattering type 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetIntegThresholdValue "Double AdvScatAbsoBodyManagerMLF::GetIntegThresholdValue(void)
===============================================================
    return threshold value used for judgement of convergence in numerial integral

    Returns:
        epsilon 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetIntegThresholdRatio "Double AdvScatAbsoBodyManagerMLF::GetIntegThresholdRatio(void)
===============================================================
    return threshold value of ratio used for judgement of convergence in numerial integral

    Returns:
        epsilonRatio 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::SetIntegThresholdValue "void AdvScatAbsoBodyManagerMLF::SetIntegThresholdValue(Double a)
=================================================================
    set threshold value used for judgement of convergence in numerial integral
    @set epsilon 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::SetIntegThresholdRatio "void AdvScatAbsoBodyManagerMLF::SetIntegThresholdRatio(Double a)
=================================================================
    set threshold value Ratio used for judgement of convergence in numerial integral
    @set epsilonRatio 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::SetSigmaCoefficient "void AdvScatAbsoBodyManagerMLF::SetSigmaCoefficient(Double, Double, Double) 

    
void AdvScatAbsoBodyManagerMLF::SetSigmaCoefficient(ElementContainerArray, Double, Double) 
";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetCohCSF "Double AdvScatAbsoBodyManagerMLF::GetCohCSF() 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetIncCSF "Double AdvScatAbsoBodyManagerMLF::GetIncCSF() 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetAbsCSF "Double AdvScatAbsoBodyManagerMLF::GetAbsCSF() 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetQDepCohCSF "Double AdvScatAbsoBodyManagerMLF::GetQDepCohCSF(Double) 

    
vector< Double > AdvScatAbsoBodyManagerMLF::GetQDepCohCSF() 
";
%feature("docstring") AdvScatAbsoBodyManagerMLF::GetQDepCohCSFq "vector< Double > AdvScatAbsoBodyManagerMLF::GetQDepCohCSFq() 

";
%feature("docstring") AdvScatAbsoBodyManagerMLF::SetDataBaseFile "bool AdvScatAbsoBodyManagerMLF::SetDataBaseFile(string filepath) 

";
// File: classArrayOperation.xml

%feature("docstring") ArrayOperation "

    Class to perform array oeprations.
    For example Calculate(ECA, EC, \"+\") carries out ECA(i) + EC for each index. Calculate(ECM, vector< vector<Double> > , \"/\" ) carries out ECM(i, j) / V[i][j] for each index.
    Common flow of \"Calculate\" method Validate operator
    Compare size of operands
    Check the keys of ElementContainer is set
    Performe calculation
    \"Calculate\" returns true, if calculation successfully ends. It returns false, if either validation fails.
    C++ includes: ArrayOperation.hh 

";
%feature("docstring") ArrayOperation::ArrayOperation "ArrayOperation::ArrayOperation() 

";
%feature("docstring") ArrayOperation::Calculate "bool ArrayOperation::Calculate(ElementContainerArray &eca_l, string op, const Double d)
========================================================================================
    Apply an operation to each EC with a right operand. 

    
bool ArrayOperation::Calculate(ElementContainerArray &eca_l, string op, const vector< Double > &vd)
====================================================================================================
    Apply an operation to each EC with a same index element of a right operand. 
    
bool ArrayOperation::Calculate(ElementContainerArray &eca_l, string op, ElementContainer &ec)
==============================================================================================
    Apply an operation to each EC with a right operand. 
    
bool ArrayOperation::Calculate(ElementContainerArray &eca_l, string op, ElementContainerArray &eca_r)
======================================================================================================
    Apply an operation to each EC with a same index element of a right operand. 
    
bool ArrayOperation::Calculate(ElementContainerMatrix &ecm_l, string op, const Double d)
=========================================================================================
    Apply an operation to each EC with a right operand. 
    
bool ArrayOperation::Calculate(ElementContainerMatrix &ecm_l, string op, const vector< Double > &vd, bool direction=true)
==========================================================================================================================
    Apply an operation to each EC with a same index element of a right operand.
    Calculate(ECM, vd, \"+\", true) calclulates ECM(j, i) + vd[i] for each index. Calculate(ECM, vd, \"+\", false) calclulates ECM(i, j) + vd[i] for each index. 
    
bool ArrayOperation::Calculate(ElementContainerMatrix &ecm_l, string op, ElementContainer &ec)
===============================================================================================
    Apply an operation to each EC with a right operand. 
    
bool ArrayOperation::Calculate(ElementContainerMatrix &ecm_l, string op, ElementContainerArray &eca_r, bool direction=true)
============================================================================================================================
    Apply an operation to each EC with a same index element of a right operand.
    Calculate(ECM, ECA, \"+\", true) calclulates ECM(j, i) + ECA(i) for each index. Calculate(ECM, ECA, \"+\", false) calclulates ECM(i, j) + ECA(i) for each index. 
    
bool ArrayOperation::Calculate(ElementContainerMatrix &ecm_l, string op, ElementContainerMatrix &ecm_r)
========================================================================================================
    Apply an operation to each EC with a same index element of a right operand. 
    
bool ArrayOperation::Calculate(ElementContainerMatrix &ecm_l, string op, const vector< vector< Double > > &vvd)
================================================================================================================
    Apply an operation to each EC with a same index element of a right operand. 
";
// File: classAverageElementContainerMatrix.xml

%feature("docstring") AverageElementContainerMatrix "

    Average ElementContainer for choppers.
    Function to get average of a seriese of ElementContainers
    C++ includes: AverageElementContainerMatrix.hh 

";
%feature("docstring") AverageElementContainerMatrix::AverageElementContainerMatrix "AverageElementContainerMatrix::AverageElementContainerMatrix()
===============================================================
    Constructor. 

    
AverageElementContainerMatrix::AverageElementContainerMatrix(Int4 debug)
=========================================================================
    Constructor.

    Args:
        debug flag for debug 0 for not-use. 
    
AverageElementContainerMatrix::AverageElementContainerMatrix(ElementContainerMatrix *ecm)
==========================================================================================
    Constructor.

    Args:
        ecm ElementContainerMatrix for the target 
    
AverageElementContainerMatrix::AverageElementContainerMatrix(ElementContainerMatrix *ecm, vector< UInt4 > psd_vec, vector< UInt4 > pixel_vec)
==============================================================================================================================================
    Constructor.

    Args:
        ecm ElementContainerMatrix for the target
        psd_vec vector of psd id for pixels
        pixel_vec vector of pixel number at a Psd Id 
    
AverageElementContainerMatrix::AverageElementContainerMatrix(ElementContainerMatrix *ecm, vector< UInt4 > psd_vec, vector< UInt4 > pixel_vec, Int4 debug)
==========================================================================================================================================================
    Constructor.

    Args:
        ecm ElementContainerMatrix for the target
        psd_vec vector of psd id for pixels
        pixel_vec vector of pixel number at a Psd Id
        debug flag for debug 
";
%feature("docstring") AverageElementContainerMatrix::~AverageElementContainerMatrix "AverageElementContainerMatrix::~AverageElementContainerMatrix()
================================================================
    Destructor. 

";
%feature("docstring") AverageElementContainerMatrix::GetAverage "ElementContainer AverageElementContainerMatrix::GetAverage()
=============================================================
    Put averaged data.

    Returns:
        ElementContainer 

";
%feature("docstring") AverageElementContainerMatrix::GetSum "ElementContainer AverageElementContainerMatrix::GetSum()
=========================================================
    Put sum data.

    Returns:
        ElementContainer 

";
%feature("docstring") AverageElementContainerMatrix::SetPoints "void AverageElementContainerMatrix::SetPoints(vector< UInt4 > psd_vec, vector< UInt4 > pixel_vec)
==================================================================================================
    Set pixels to be averaged.

    Args:
        psd_vec vector of psd id for pixels
        pixel_vec vector of pixel number at a Psd Id

    Returns:
        None 

";
// File: classBinDataFileSectionReader.xml

%feature("docstring") BinDataFileSectionReader "

";
%feature("docstring") BinDataFileSectionReader::BinDataFileSectionReader "BinDataFileSectionReader::BinDataFileSectionReader(string TargetFileName, size_t ElementSize) 

";
%feature("docstring") BinDataFileSectionReader::Read "Int4 BinDataFileSectionReader::Read(Int8 FromBegin, Int8 SizeOfData, void *buf) 

";
%feature("docstring") BinDataFileSectionReader::~BinDataFileSectionReader "BinDataFileSectionReader::~BinDataFileSectionReader() 

";
// File: classBoostXmlParser.xml

%feature("docstring") BoostXmlParser "

    Function for read XML file using boost::property_tree.
    This gives a simple way to access to elements by using path-to-element text. Example for path format
    | <node1>
    |     <node2 i=\"1\">
    |          <node3>Target</node3>
    |     </node2>
    |     <node2 i=\"2\">...</node2>
    | </node1>
    When you want to touch \"Target\", the path is \"node1/node2,i=1/node3\" or use XPath format ( poor functions ) like \"node1/node2[@i='1']/node3\"
    C++ includes: BoostXmlParser.hh 

";
%feature("docstring") BoostXmlParser::BoostXmlParser "BoostXmlParser::BoostXmlParser()
=================================
    Constructor. 

    
BoostXmlParser::BoostXmlParser(string xmlfile)
===============================================
    Constructor.
    BoostXmlParser( sting xmlfile )

    Args:
        xmlfile (string) path to xml file 
    
BoostXmlParser::BoostXmlParser(string key, string xmlfile)
===========================================================
    Constructor.
    BoostXmlParser( string key, string xmlfile )

    Args:
        key (string) Key for xml info
        xmlfile (string) path to xml file 
";
%feature("docstring") BoostXmlParser::~BoostXmlParser "BoostXmlParser::~BoostXmlParser()
==================================
    Destructor. 

";
%feature("docstring") BoostXmlParser::CreateNewTree "bool BoostXmlParser::CreateNewTree(string key=\"\")
====================================================
    Creates new property tree indexed by key.
    CreateNewTree( [string key] )

    Args:
        key (string) key for xml info

    Returns:
        true succeeded
        false failed 

";
%feature("docstring") BoostXmlParser::AddElement "bool BoostXmlParser::AddElement(string path, string cont) 

    
bool BoostXmlParser::AddElement(string key, string path, string cont) 
    
bool BoostXmlParser::AddElement(string path, vector< string > attr_v, vector< string > val_v) 
    
bool BoostXmlParser::AddElement(string key, string path, vector< string > attr_v, vector< string > val_v)
==========================================================================================================
    Adds elements and attributes to a tree.
    AddToTree( [string key,] string path, string cont ); AddToTree( [string key,] string path, vector<string> attr_v, vector<string> val_v );

    Args:
        key (string) key for xml info
        path (string) path to elements and attributes to be added
        cont (string) contents to be added
        att_v (vector<string>) attribute names list
        val_v (vector<string>) attribute values list

    Returns:
        true succeeded
        false failed 
";
%feature("docstring") BoostXmlParser::RemoveElement "bool BoostXmlParser::RemoveElement(string path, string attr) 

    
bool BoostXmlParser::RemoveElement(string key, string path, string attr)
=========================================================================
    Removes elements or attribute.
    RemoveTree( string key, string path, string attr )

    Args:
        key (string) key for xml info
        path (string) path to element including attribute to be removed
        attr (string) attribute name. if empty, delete tree of given path

    Returns:
        true succeeded
        false failed 
";
%feature("docstring") BoostXmlParser::Save "bool BoostXmlParser::Save(string path) 

    
bool BoostXmlParser::Save(string key, string path)
===================================================
    Saves tree to xml file.
    Save( string key, string path )

    Args:
        key (string) key for xml info
        path (string) path to file

    Returns:
        true succeeded
        false failed 
";
%feature("docstring") BoostXmlParser::Load "bool BoostXmlParser::Load(string arg)
======================================
    Load tree from xml file.
    Load( string key )

    Args:
        key (string) key for xml info

    Returns:
        true succeeded
        false failed 

    
bool BoostXmlParser::Load(string key, string arg)
==================================================
    Load tree from xml file.
    Load( string key, string path )

    Args:
        key (string) key for xml info
        arg (string) path/to/file or xml string

    Returns:
        true succeeded
        false failed 
";
%feature("docstring") BoostXmlParser::LoadFromString "bool BoostXmlParser::LoadFromString(string xmlstring)
======================================================
    Load tree from string including xml.
    LoadFromString( string xmlstring )

    Args:
        key (string) key for xml info

    Returns:
        true succeeded
        false failed 

    
bool BoostXmlParser::LoadFromString(string key, string xmlstring)
==================================================================
    Load tree from string including xml.
    LoadFromString( string key, string xmlstring )

    Args:
        key (string) key for xml info
        path (string) string of xml description

    Returns:
        true succeeded
        false failed 
";
%feature("docstring") BoostXmlParser::isLoadXmlString "bool BoostXmlParser::isLoadXmlString()
=======================================
    Checks whether XML information is given as string or not (file)
    isLoadXmlString()

    Returns:
        true XML information is given as string
        false XML information is given by XML file reading 

";
%feature("docstring") BoostXmlParser::OutToString "string BoostXmlParser::OutToString(string key, string path, bool withIndent)
=============================================================================
    Output element tree included by given element path as string of xml.
    OutToString( string key, string path, bool withIndent )

    Args:
        key (string) key for xml info
        path (string) path to xml element
        withIndent (bool) whether output string is formatted by indent

    Returns:
        xml strings 

    
string BoostXmlParser::OutToString(string path, bool withIndent)
=================================================================
    Output element tree included by given element path as string of xml.
    OutToString( string path, bool withIndent )

    Args:
        path (string) path to xml element
        withIndent (bool) whether output string is formatted by indent

    Returns:
        xml strings 
    
string BoostXmlParser::OutToString(bool withIndent)
====================================================
    Output element tree included by given element path as string of xml.
    OutToString( bool withIndent )

    Args:
        withIndent (bool) whether output string is formatted by indent

    Returns:
        xml strings 
";
%feature("docstring") BoostXmlParser::OutAllToString "string BoostXmlParser::OutAllToString(string key, bool withIndent=false)
=========================================================================
    Output all element tree as string of xml.
    OutAllToString( string key, bool withIndent=false )

    Args:
        key (string) key for xml info
        withIndent (bool) whether output string is formatted by indent

    Returns:
        xml strings 

    
string BoostXmlParser::OutAllToString(bool withIndent=false)
=============================================================
    Output all element tree as string of xml.
    OutAllToString( bool withIndent=false )

    Args:
        withIndent (bool) whether output string is formatted by indent

    Returns:
        xml strings 
";
%feature("docstring") BoostXmlParser::PutContent "string BoostXmlParser::PutContent(string path) 

    
string BoostXmlParser::PutContent(string path, string attr) 
    
string BoostXmlParser::PutContent(string key, string path, string attr) 
    
string BoostXmlParser::PutContent(boost::property_tree::ptree *curNode, string path, string attr)
==================================================================================================
    Puts contents or attribute directed by a given path under current node.
    PutContent( boost::property_tree::ptree* curNode, string path, string attr )

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to element
        attr (string) attribute name you want to get

    Returns:
        string value 
";
%feature("docstring") BoostXmlParser::putTextContent "string BoostXmlParser::putTextContent(string key, string path, string attr=\"\")
=================================================================================
    Puts contents or attribute directed by a given path.
    putTextContent is used for old code to use MiniXmlReader PutContent( [string key,] string path, string attr )

    Args:
        key (string) key for xml info
        path (string) path to element
        attr (string) attribute name you want to get

    Returns:
        string value 

";
%feature("docstring") BoostXmlParser::PutAttValList "vector< string > BoostXmlParser::PutAttValList(string path, string attr) 

    
vector< string > BoostXmlParser::PutAttValList(string key, string path, string attr)
=====================================================================================
    Puts all attribute-values included in a given path.
    PutAttValList( [string key,] string path, string attr )

    Args:
        key (string) key for xml info
        path (string) path to element
        attr (string) attribute name you want to get

    Returns:
        (vector<string>) list of found attributes 
    
vector< string > BoostXmlParser::PutAttValList(boost::property_tree::ptree *curNode, string path, string attr)
===============================================================================================================
    Puts all attribute-values included in a given path under current node.
    PutAttValList( boost::property_tree::ptree* curNode, string path, string attr )

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to element
        attr (string) attribute name you want to get

    Returns:
        (vector<string>) list of found attributes 
";
%feature("docstring") BoostXmlParser::PutElemContList "vector< string > BoostXmlParser::PutElemContList(string path, string elename) 

    
vector< string > BoostXmlParser::PutElemContList(string key, string path, string elename)
==========================================================================================
    Puts all contents of the element included in a given path.
    PutAttValList( [string key,] string path, string attr )

    Args:
        key (string) key for xml info
        path (string) path to element
        elename (string) included element name you want to get

    Returns:
        (vector<string>) list of found contents 
    
vector< string > BoostXmlParser::PutElemContList(boost::property_tree::ptree *curNode, string path, string elename)
====================================================================================================================
    Puts all contents of the element included in a given path.
    PutElemContList( boost::property_tree::ptree* curNode, string path, string attr )

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to element
        elename (string) included element name you want to get

    Returns:
        (vector<string>) list of found contents 
";
%feature("docstring") BoostXmlParser::PutNumOfElements "UInt4 BoostXmlParser::PutNumOfElements(string path) 

    
UInt4 BoostXmlParser::PutNumOfElements(string key, string path)
================================================================
    Puts the number of elements included in a given path.
    PutNumOfElements( [string key,] string path )

    Args:
        key (string) key for xml info
        path (string) path to element
        attr (string) attribute name you want to get

    Returns:
        (UInt4) number of elements 
    
UInt4 BoostXmlParser::PutNumOfElements(boost::property_tree::ptree *curNode, string path)
==========================================================================================
    Puts the number of elements included in a given path from current node.
    PutNumOfElements( boost::property_tree::ptree* curNode, string path )

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to element
        attr (string) attribute name you want to get

    Returns:
        (UInt4) number of elements 
";
%feature("docstring") BoostXmlParser::hasPath "bool BoostXmlParser::hasPath(string path) 

    
bool BoostXmlParser::hasPath(string key, string path)
======================================================
    checks the existence of given path-to-element
    bool hasPath( [string key,] string path )

    Args:
        key (string) key name for loaded XML info
        path (string) path-to-element

    Returns:
        true given path exists
        false given path does not exist 
    
bool BoostXmlParser::hasPath(boost::property_tree::ptree *curNode, string path)
================================================================================
    checks the existence of given path-to-element
    bool hasPath( boost::property_tree::ptree* curNode, string path )

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path-to-element

    Returns:
        true given path exists
        false given path does not exist 
";
%feature("docstring") BoostXmlParser::PutKeys "vector< string > BoostXmlParser::PutKeys()
===========================================
    Puts key list.

    Args:
        None

    Returns:
        string vector of key list 

";
%feature("docstring") BoostXmlParser::hasKey "bool BoostXmlParser::hasKey(string key)
========================================
    Checks whether xml with given key is loaded or not.

    Args:
        key (string) key name

    Returns:
        true loaded xml with given key
        false not loaded xml with given key 

";
%feature("docstring") BoostXmlParser::PutSize "UInt4 BoostXmlParser::PutSize()
================================
    Puts the number of added xml info.

    Args:
        None

    Returns:
        UInt4 value 

";
%feature("docstring") BoostXmlParser::Clear "void BoostXmlParser::Clear(string key=\"\", bool isForced=false)
=================================================================
    Deletes property tree by a given key.
    Clear( string key=\"\", bool isForced=false )

    Args:
        key (string) key for xml info
        isForced (bool) no warning message if key is not found

    Returns:
        None 

";
%feature("docstring") BoostXmlParser::ChangeCurrent "bool BoostXmlParser::ChangeCurrent(string key)
===============================================
    Changes current tree by a given key.
    ChangeCurrent( string key )

    Args:
        key (string) key for xml info

    Returns:
        true : succeeded
        false : failed 

";
%feature("docstring") BoostXmlParser::PutCurrentKey "string BoostXmlParser::PutCurrentKey()
=======================================
    Puts the key of current tree.
    PutCurrentKey()

    Returns:
        key (string) 

";
%feature("docstring") BoostXmlParser::CopyTree "bool BoostXmlParser::CopyTree(string org_key, string new_key) 

";
%feature("docstring") BoostXmlParser::SetQuiet "void BoostXmlParser::SetQuiet(bool isquiet=true) 

";
%feature("docstring") BoostXmlParser::PutNode "boost::property_tree::ptree * BoostXmlParser::PutNode(string path, string attr)
================================================================================
    Takes out the node given path and attributes.
    PutNode( string path, string attr );

    Args:
        path (string) path to elements and attribute you want to get
        attr (string) attribute name you want to get

    Returns:
        node (boost::property_tree::ptree) 

    
boost::property_tree::ptree * BoostXmlParser::PutNode(string key, string path, string attr)
============================================================================================
    Takes out the node given path and attributes.
    PutNode( string key, string path, string attr );

    Args:
        key (string) key name for loaded XML info
        path (string) path to elements and attribute you want to get
        attr (string) attribute name you want to get

    Returns:
        node (boost::property_tree::ptree) 
    
boost::property_tree::ptree * BoostXmlParser::PutNode(boost::property_tree::ptree *curNode, string path, string attr)
======================================================================================================================
    Takes out the node given path and attributes.
    PutNode( boost::property_tree::ptree* curNode, string path, string attr );

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to elements and attribute you want to get under current node
        attr (string) attribute name you want to get

    Returns:
        node (boost::property_tree::ptree) 
";
%feature("docstring") BoostXmlParser::PutFoundChildNodes "vector< boost::property_tree::ptree * > BoostXmlParser::PutFoundChildNodes(boost::property_tree::ptree *curNode, string path)
==============================================================================================================================
    Takes out all nodes found by current node and given path.
    PutFoundChildNodes( boost::property_tree::ptree* curNode, string path);

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to elements and attribute you want to get under current node

    Returns:
        node (boost::property_tree::ptree) 

";
%feature("docstring") BoostXmlParser::PutChildrenElemNames "vector< string > BoostXmlParser::PutChildrenElemNames(string path)
===================================================================
    Put list of elements names included in given path.
    PutChildrenElemNames( string path );

    Args:
        path (string) path to elements and attribute you want to get under current node

    Returns:
        vector<string> List of names 

    
vector< string > BoostXmlParser::PutChildrenElemNames(string key, string path)
===============================================================================
    Put list of elements names included in given path.
    PutChildrenElemNames( string key, string path );

    Args:
        key (string) key name for loaded XML info
        path (string) path to elements and attribute you want to get under current node

    Returns:
        vector<string> List of names 
    
vector< string > BoostXmlParser::PutChildrenElemNames(boost::property_tree::ptree *curNode, string path)
=========================================================================================================
    Put list of elements names included in given path.
    PutChildrenElemNames( boost::property_tree::ptree* curNode, string path );

    Args:
        curNode (boost::property_tree::ptree) current node
        path (string) path to elements and attribute you want to get under current node

    Returns:
        vector<string> List of names 
";
%feature("docstring") BoostXmlParser::SetDebugMode "void BoostXmlParser::SetDebugMode(bool isDebugMode=true)
=========================================================
    Turn on or set debug mode to show behind messages about data treatments.
    Argument isDebugMode affects on QuietMode.
    PutChildrenElemNames( string path );

    Args:
        isDebugMode (bool)

    Returns:
        None 

";
// File: classContainerViewer.xml

%feature("docstring") ContainerViewer "

";
%feature("docstring") ContainerViewer::ContainerViewer "ContainerViewer::ContainerViewer(string Command=\"gnuplot\") 

";
%feature("docstring") ContainerViewer::~ContainerViewer "ContainerViewer::~ContainerViewer() 

";
%feature("docstring") ContainerViewer::MapPlot "void ContainerViewer::MapPlot(ElementContainerMatrix M, string key) 

    
void ContainerViewer::MapPlot(ElementContainerMatrix M, string key, UInt4 tof) 
";
%feature("docstring") ContainerViewer::SurfacePlot "void ContainerViewer::SurfacePlot(ElementContainerMatrix M, string key) 

    
void ContainerViewer::SurfacePlot(ElementContainerMatrix M, string key, UInt4 tof) 
";
%feature("docstring") ContainerViewer::SetGrayColor "void ContainerViewer::SetGrayColor() 

";
%feature("docstring") ContainerViewer::Histogram "void ContainerViewer::Histogram(ElementContainer ec) 

";
%feature("docstring") ContainerViewer::WriteGnuPlotData "void ContainerViewer::WriteGnuPlotData(ElementContainer ec, string FileName) 

";

// File: classConvManyoDoxy2Swig_1_1Doxy2SWIG.xml
%feature("docstring") ConvManyoDoxy2Swig::Doxy2SWIG "

Converts Doxygen generated XML files into a file containing docstrings that can be used by SWIG-1.3.x that have support for feature(\"docstring\").  Once the data is parsed it is stored in self.pieces. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::__init__ "def ConvManyoDoxy2Swig.Doxy2SWIG.__init__(self, src)

Initialize the instance given a source object (file or filename). ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::generate "def ConvManyoDoxy2Swig.Doxy2SWIG.generate(self)

Parses the file set in the initialization.  The resulting data is stored in `self.pieces`. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::parse "def ConvManyoDoxy2Swig.Doxy2SWIG.parse(self, node)

Parse a given node.  This function in turn calls the `parse_<nodeType>` functions which handle the respective nodes. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::parse_Document "def ConvManyoDoxy2Swig.Doxy2SWIG.parse_Document(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::parse_Text "def ConvManyoDoxy2Swig.Doxy2SWIG.parse_Text(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::parse_Element "def ConvManyoDoxy2Swig.Doxy2SWIG.parse_Element(self, node)

Parse an `ELEMENT_NODE`.  This calls specific `do_<tagName>` handers for different elements.  If no handler is available the `generic_parse` method is called.  All tagNames specified in `self.ignores` are simply ignored. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::add_text "def ConvManyoDoxy2Swig.Doxy2SWIG.add_text(self, value)

Adds text corresponding to `value` into `self.pieces`. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::get_specific_nodes "def ConvManyoDoxy2Swig.Doxy2SWIG.get_specific_nodes(self, node, names)

Given a node and a sequence of strings in `names`, return a dictionary containing the names as keys and child `ELEMENT_NODEs`, that have a `tagName` equal to the name. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::generic_parse "def ConvManyoDoxy2Swig.Doxy2SWIG.generic_parse(self, node, pad=0)

A Generic parser for arbitrary tags in a node.  Parameters:   - node:  A node in the DOM.  - pad: `int` (default: 0)     If 0 the node data is not padded with newlines.  If 1 it    appends a newline after parsing the childNodes.  If 2 it    pads before and after the nodes are processed.  Defaults to    0. ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::space_parse "def ConvManyoDoxy2Swig.Doxy2SWIG.space_parse(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_compoundname "def ConvManyoDoxy2Swig.Doxy2SWIG.do_compoundname(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_compounddef "def ConvManyoDoxy2Swig.Doxy2SWIG.do_compounddef(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_includes "def ConvManyoDoxy2Swig.Doxy2SWIG.do_includes(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_parameterlist "def ConvManyoDoxy2Swig.Doxy2SWIG.do_parameterlist(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_para "def ConvManyoDoxy2Swig.Doxy2SWIG.do_para(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_parametername "def ConvManyoDoxy2Swig.Doxy2SWIG.do_parametername(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_parameterdefinition "def ConvManyoDoxy2Swig.Doxy2SWIG.do_parameterdefinition(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_detaileddescription "def ConvManyoDoxy2Swig.Doxy2SWIG.do_detaileddescription(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_briefdescription "def ConvManyoDoxy2Swig.Doxy2SWIG.do_briefdescription(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_memberdef "def ConvManyoDoxy2Swig.Doxy2SWIG.do_memberdef(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_definition "def ConvManyoDoxy2Swig.Doxy2SWIG.do_definition(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_sectiondef "def ConvManyoDoxy2Swig.Doxy2SWIG.do_sectiondef(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_simplesect "def ConvManyoDoxy2Swig.Doxy2SWIG.do_simplesect(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_argsstring "def ConvManyoDoxy2Swig.Doxy2SWIG.do_argsstring(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_member "def ConvManyoDoxy2Swig.Doxy2SWIG.do_member(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::do_doxygenindex "def ConvManyoDoxy2Swig.Doxy2SWIG.do_doxygenindex(self, node) ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::write "def ConvManyoDoxy2Swig.Doxy2SWIG.write(self, fname, mode='w') ";

%feature("docstring")  ConvManyoDoxy2Swig::Doxy2SWIG::clean_pieces "def ConvManyoDoxy2Swig.Doxy2SWIG.clean_pieces(self, pieces)

Cleans the list of strings given as `pieces`.  It replaces multiple newlines by a maximum of 2 and returns a new list. It also wraps the paragraphs nicely. ";

// File: classEventDataMonitorBase.xml

%feature("docstring") EventDataMonitorBase "

";
%feature("docstring") EventDataMonitorBase::EventDataMonitorBase "EventDataMonitorBase::EventDataMonitorBase(size_t _ElementSize=8) 

";
%feature("docstring") EventDataMonitorBase::~EventDataMonitorBase "EventDataMonitorBase::~EventDataMonitorBase() 

";
%feature("docstring") EventDataMonitorBase::ParameterSet "void EventDataMonitorBase::ParameterSet(string _WireingFile, string _DetectorInfoFile) 

";
%feature("docstring") EventDataMonitorBase::AddDataFiles "void EventDataMonitorBase::AddDataFiles(string TargetT0EventFilePath, string TargetEventDataFilePath, UInt4 DaqID) 

    
void EventDataMonitorBase::AddDataFiles(vector< string > TargetT0EventFilePath, vector< string > TargetEventDatafilePath, vector< UInt4 > DaqID) 
";
%feature("docstring") EventDataMonitorBase::Increment "virtual void EventDataMonitorBase::Increment(UInt4 index)=0 

";
%feature("docstring") EventDataMonitorBase::Output "virtual void EventDataMonitorBase::Output(string OutputFileName)=0 

";
%feature("docstring") EventDataMonitorBase::Clear "virtual void EventDataMonitorBase::Clear()=0 

";
%feature("docstring") EventDataMonitorBase::ClearDataFileSets "void EventDataMonitorBase::ClearDataFileSets() 

";
// File: classEventDataToHistogramBase.xml

%feature("docstring") EventDataToHistogramBase "

";
%feature("docstring") EventDataToHistogramBase::EventDataToHistogramBase "EventDataToHistogramBase::EventDataToHistogramBase() 

    
EventDataToHistogramBase::EventDataToHistogramBase(UInt4 _NumOfPsd, UInt4 _NumOfPixel) 
";
%feature("docstring") EventDataToHistogramBase::~EventDataToHistogramBase "EventDataToHistogramBase::~EventDataToHistogramBase() 

";
%feature("docstring") EventDataToHistogramBase::Allocate "void EventDataToHistogramBase::Allocate(UInt4 _NumOfPsd, UInt4 _NumOfPixel) 

";
%feature("docstring") EventDataToHistogramBase::PutPsdId "virtual UInt4 EventDataToHistogramBase::PutPsdId(UInt4 DaqChannel, UInt4 module, UInt4 psd)=0 

";
%feature("docstring") EventDataToHistogramBase::PutPixelId "virtual UInt4 EventDataToHistogramBase::PutPixelId(UInt4 PsdId, UInt4 PixelPosition)=0 

";
%feature("docstring") EventDataToHistogramBase::PutPixelPosition "UInt4 EventDataToHistogramBase::PutPixelPosition(UInt4 PsdId, UInt4 pl, UInt4 pr) 

";
%feature("docstring") EventDataToHistogramBase::SetPsdParam "void EventDataToHistogramBase::SetPsdParam(UInt4 PsdId, Double A, Double B, Double C) 

";
%feature("docstring") EventDataToHistogramBase::SetTofBin "void EventDataToHistogramBase::SetTofBin(UInt4 PixelId, vector< Double > tof) 

    
void EventDataToHistogramBase::SetTofBin(UInt4 PixelId, Double *tof, UInt4 Size) 
";
%feature("docstring") EventDataToHistogramBase::SetTofBin_DeltaT_Const "void EventDataToHistogramBase::SetTofBin_DeltaT_Const(UInt4 PixelId, Double Ini, Double Fin, Double DeltaT) 

";
%feature("docstring") EventDataToHistogramBase::SetTofBin_DeltaToverT_Const "void EventDataToHistogramBase::SetTofBin_DeltaToverT_Const(UInt4 PixelId, Double Ini, Double Fin, Double DeltaToverT) 

";
%feature("docstring") EventDataToHistogramBase::Increment "void EventDataToHistogramBase::Increment(UInt4 DaqChannel, UChar *data, UInt4 size) 

";
%feature("docstring") EventDataToHistogramBase::PutGslHistogram "GslHistogram* EventDataToHistogramBase::PutGslHistogram(UInt4 PixelId) 

";
%feature("docstring") EventDataToHistogramBase::PutGslHistogramVec "vector<GslHistogram*>* EventDataToHistogramBase::PutGslHistogramVec() 

";
%feature("docstring") EventDataToHistogramBase::PutHist "vector<Double> EventDataToHistogramBase::PutHist(UInt4 PixelId) 

";
%feature("docstring") EventDataToHistogramBase::PutSum "Double EventDataToHistogramBase::PutSum(UInt4 PixelId) 

";
%feature("docstring") EventDataToHistogramBase::PutBin "vector<Double> EventDataToHistogramBase::PutBin(UInt4 PixelId) 

";
%feature("docstring") EventDataToHistogramBase::Reset "void EventDataToHistogramBase::Reset() 

";
%feature("docstring") EventDataToHistogramBase::TimeFocParamC0 "virtual Double EventDataToHistogramBase::TimeFocParamC0(UInt4 _pixelid) 

";
%feature("docstring") EventDataToHistogramBase::TimeFocParamC1 "virtual Double EventDataToHistogramBase::TimeFocParamC1(UInt4 _pixelid) 

";
%feature("docstring") EventDataToHistogramBase::PutElementContainerMatrix "ElementContainerMatrix EventDataToHistogramBase::PutElementContainerMatrix(vector< UInt4 > NumObElements) 

";
%feature("docstring") EventDataToHistogramBase::PutElementContainerMatrixP "ElementContainerMatrix * EventDataToHistogramBase::PutElementContainerMatrixP(vector< UInt4 > NumObElements) 

";
// File: classGnuplotInterface.xml

%feature("docstring") GnuplotInterface "

    Gnuplot interface.
    Gnuplot in your system is called and gnuplot commands are passed with this class. Each gnuplot command is passed to the gnuplot through the standard input of the Gnuplot connected by the constructor, and each gnuplot command is stored in this class object. The history of the gnuplot command can be shown and saved to files.
    C++ includes: GnuplotInterface.hh 

";
%feature("docstring") GnuplotInterface::GnuplotInterface "GnuplotInterface::GnuplotInterface(string Command=\"gnuplot\")
===============================================================
    Constructor. If Gnuplot is not installed with its command name is \"gnuplot\" in your system, you must specify your gnuplot command. 

";
%feature("docstring") GnuplotInterface::~GnuplotInterface "GnuplotInterface::~GnuplotInterface()
======================================
    Destructor. Gnuplot called by the constructor is terminated. 

";
%feature("docstring") GnuplotInterface::ExeCommand "void GnuplotInterface::ExeCommand(string Command)
==================================================
    The argument of this method is sent to Gnuplot called by the constructor. 

";
%feature("docstring") GnuplotInterface::e "void GnuplotInterface::e(string Command)
=========================================
    Alias of ExeCommand(string) 

";
%feature("docstring") GnuplotInterface::ExeCommandSave "void GnuplotInterface::ExeCommandSave(string Command) 

";
%feature("docstring") GnuplotInterface::Clear "void GnuplotInterface::Clear()
===============================
    The buffer storing command history is initialized. See the comment of \"Save(string)\". 

";
%feature("docstring") GnuplotInterface::Dump "void GnuplotInterface::Dump()
==============================
    The contents of the buffer storing command history is shown to std-out. 

";
%feature("docstring") GnuplotInterface::Save "void GnuplotInterface::Save(string FileName)
=============================================
    The contents of the butter storing command history is saved to the file named \"FileName\". 

";
%feature("docstring") GnuplotInterface::Replot "void GnuplotInterface::Replot()
================================
    The contents of the butter storing command history is executed with this command. 

";
// File: classMlfArraySlicer.xml

%feature("docstring") MlfArraySlicer "

    Clip and integrate data.
    Clip specified region from ElementContainerArray and integrate them to a ElementContainer, while exclude masked point.
    cd = Manyo.MlfArraySlicer( tea ) <- ElementContainerArray ecm = TPC.Execute(0.05) < give Q step
    C++ includes: MlfArraySlicer.hh 

";
%feature("docstring") MlfArraySlicer::MlfArraySlicer "MlfArraySlicer::MlfArraySlicer()
=================================
    Constructor. 

    
MlfArraySlicer::MlfArraySlicer(ElementContainerMatrix *ecm, string keyOfX=\"\", string keyOfY=\"\")
====================================================================================================
    Constructor.

    Args:
        eca Target ElementContainerMatrix (TOF or Energy/Q data)
        keyOfX key used as X axis (same as SetAxes)
        keyOfY key used as Y axis (same as SetAxes) 
    
MlfArraySlicer::MlfArraySlicer(ElementContainerArray *eca, string keyOfX=\"\", string keyOfY=\"\")
===================================================================================================
    Constructor.

    Args:
        eca Target ElementContainerArray (TOF or Energy/Q data)
        keyOfX key used as X axis (same as SetAxes)
        keyOfY key used as Y axis (same as SetAxes) 
";
%feature("docstring") MlfArraySlicer::~MlfArraySlicer "MlfArraySlicer::~MlfArraySlicer()
==================================
    Destructor. 

";
%feature("docstring") MlfArraySlicer::SetAxes "bool MlfArraySlicer::SetAxes(string keyOfX=\"\", string keyOfY=\"\", bool doInitData=true)
===========================================================================================
    Set Axes keys.
    This sets keys to be used as X-axis values or Y-axis vector. keyX must be included in the Header of ECA or the Header of EC as Int4, Double, vector<Int4> or vectro<Double> which size is same as the number of ECs or plus 1. keyY must be one of the vectors in EC. If not set or invalid keys, X axis is made from \"XRANGE\" vector in the Header of EC and Y axis from EC.PutX()

    Args:
        keyOfX key used as X axis
        keyOfY key used as Y axis
        doInitData whether executing initData or not

    Returns:
        true
        false 

";
%feature("docstring") MlfArraySlicer::SetMask "void MlfArraySlicer::SetMask(Double x0, Double y0, Double x1, Double y1)
=========================================================================
    Add mask region.

    Args:
        x0 minimam Tof or Energy value
        y0 minimam pixel ID or Q value
        x1 maximam Tof or Energy value
        y1 maximam pixel ID or Q value 

";
%feature("docstring") MlfArraySlicer::IsInvalid "bool MlfArraySlicer::IsInvalid() 

";
%feature("docstring") MlfArraySlicer::ClearMask "void MlfArraySlicer::ClearMask(void)
=====================================
    Return if valid data.

    Args:
        None @returnValue true or false Clear vector of Mask region Clear Mask region vector
        None 

";
%feature("docstring") MlfArraySlicer::SetClipRegion "void MlfArraySlicer::SetClipRegion(Double x0, Double y0, Double x1, Double y1, bool checkY=true)
=================================================================================================
    Add mask region.

    Args:
        x0 minimam Tof or Energy value
        y0 minimam pixel ID or Q value
        x1 maximam Tof or Energy value
        y1 maximam pixel ID or Q value
        checkY true is to check y0,y1 are in sequence 

";
%feature("docstring") MlfArraySlicer::ClearClipRegion "void MlfArraySlicer::ClearClipRegion(void)
===========================================
    Clear vector of clip region.
    Clear Mask region vector

    Args:
        None 

";
%feature("docstring") MlfArraySlicer::ExecInteg "ElementContainerArray MlfArraySlicer::ExecInteg(bool average, int axis, Double width=0.0, Double bin=0.0) 

    
bool MlfArraySlicer::ExecInteg(ElementContainerArray *_eca, bool average, int axis, Double width=0.0, Double bin=0.0)
======================================================================================================================
    Integrate (or calcurate average) each region.
    X axis will be TOF or Energy

    Args:
        mode Set if true: average or false:integration
        axis Set axis 0: TOF or Energy 1:index or Q 2:Free cutting
        width Set integ width on free cutting
        bin Set bin of free cutting line 
";
%feature("docstring") MlfArraySlicer::CutAlongX "ElementContainerArray MlfArraySlicer::CutAlongX(bool average=true) 

    
ElementContainer MlfArraySlicer::CutAlongX(Double ymin, Double ymax, bool average=true) 
    
bool MlfArraySlicer::CutAlongX(ElementContainerArray *_eca, bool average=true) 
    
bool MlfArraySlicer::CutAlongX(ElementContainer *_ec, Double ymin, Double ymax, bool average=true) 
";
%feature("docstring") MlfArraySlicer::CutAlongY "ElementContainerArray MlfArraySlicer::CutAlongY(bool average=true) 

    
ElementContainer MlfArraySlicer::CutAlongY(Double xmin, Double xmax, bool average=true) 
    
bool MlfArraySlicer::CutAlongY(ElementContainerArray *_eca, bool average=true) 
    
bool MlfArraySlicer::CutAlongY(ElementContainer *_ec, Double xmin, Double xmax, bool average=true) 
";
%feature("docstring") MlfArraySlicer::CutDiagonal "ElementContainerArray MlfArraySlicer::CutDiagonal(Double width, Double bin, bool average=true) 

    
ElementContainer MlfArraySlicer::CutDiagonal(Double x0, Double y0, Double x1, Double y1, Double width, Double bin, bool average=true) 
    
bool MlfArraySlicer::CutDiagonal(ElementContainerArray *_eca, Double width, Double bin, bool average=true) 
    
bool MlfArraySlicer::CutDiagonal(ElementContainer *_ec, Double x0, Double y0, Double x1, Double y1, Double width, Double bin, bool average=true) 
";
%feature("docstring") MlfArraySlicer::SetQbin "void MlfArraySlicer::SetQbin(Double bin, Double qmin=0.0, Double qmax=0.0)
===========================================================================
    Set Q bin width and Q range to make Q binning cut.
    SetQbin( 0.02 ) : bin=0.02, and Q range is depend on slicing area SetQbin( 0.02, -1, -1 ) : bin=0.02, and Q range uses maximun and minimum of given data SetQbin( 0.01, 0.0, 8.0 ): bin=0.01, and Q range is 0.0 to 8.0

    Args:
        bin Set bin of Q cutting line
        qmin Set minimum value of Q range
        qmax Set maximum value of Q range 

";
%feature("docstring") MlfArraySlicer::SetHeaderToEC "void MlfArraySlicer::SetHeaderToEC(ElementContainer &ec_res, Double y0, Double y1, bool average=true, bool reverse=false) 

";
// File: classMlfDetectorEfficiencyCorrection.xml

%feature("docstring") MlfDetectorEfficiencyCorrection "

    Data Correction of Detector Efficiency.
    This codes are used for the detector efficiency correction.
    Yasuhiro Inamura (J-PARC,MLF)  Usage : direct calculation for each pixel DEC = MlfDetectorEfficiencyCorrection( \"/path/to/DetectorInfo.xml\", \"SUS-304-3He-PSD\" ) DEC.Execute( dat )
    Usage : using approximate values DEC = MlfDetectorEfficiencyCorrection( \"/path/to/DetEffi_SIK-SUS-304-3He-PSD.dat\" ) DEC.Execute( dat )
    The pixel position info must be included in HeaderBase for each ElementContainer with format vector<Double> [Px,Py,Pz];
    C++ includes: MlfDetectorEfficiencyCorrection.hh 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::MlfDetectorEfficiencyCorrection "MlfDetectorEfficiencyCorrection::MlfDetectorEfficiencyCorrection() 

    
MlfDetectorEfficiencyCorrection::MlfDetectorEfficiencyCorrection(string _detInfo, string _detName, string _xsecDataPath=\"\", string _xmlPath=\"\") 
    
MlfDetectorEfficiencyCorrection::MlfDetectorEfficiencyCorrection(string _apDataPath)
=====================================================================================
    Constructor.
    MlfDetectorEfficiencyCorrection() MlfDetectorEfficiencyCorrection( string _detInfo, string _detName=\"\" )

    Args:
        _detInfo (string) path to DetectorInfo.xml which must include <detectorStructure>.
        _detName (string) Detector Name like \"SUS304-3He-PSD\". This name must be included <detectorStructure>.
        _xsecDataPath (string) path to Xsection table xml file
        _xmlPath (string) path to the directory including xml files

    Returns:
        None 
";
%feature("docstring") MlfDetectorEfficiencyCorrection::~MlfDetectorEfficiencyCorrection "MlfDetectorEfficiencyCorrection::~MlfDetectorEfficiencyCorrection()
====================================================================
    Destructor. 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::Initialize "bool MlfDetectorEfficiencyCorrection::Initialize(string _detInfoName, string _detName, string _xsecDataName=\"\")
==================================================================================================================
    Sets DetectorInfo and detNmae.
    Sets DetectorInfo (including <detectorStructure>) and detName to set parameters for calculations of detector efficiency.

    Args:
        _detInfo (string) path to DetectorInfo.xml which must include <detectorStructure>.
        _detName (string) Detector Name like \"SUS304-3He-PSD\". This name must be included <detectorStructure>.

    Returns:
        true suceeded.
        false failed. 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::SetXmlPath "void MlfDetectorEfficiencyCorrection::SetXmlPath(string path) 

    
void MlfDetectorEfficiencyCorrection::SetXmlPath(vector< string > paths) 
";
%feature("docstring") MlfDetectorEfficiencyCorrection::AddXmlPath "void MlfDetectorEfficiencyCorrection::AddXmlPath(string path)
==============================================================
    Set path(s) to find xml files.

    Args:
        path (string)
        paths (vector<string>)

    Returns:
        None 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::Execute "void MlfDetectorEfficiencyCorrection::Execute(ElementContainerMatrix *_ecm)
============================================================================
    Executes Detector Efficiency correction.

    Args:
        _ecm (ElementContainerMatrix) Target Data

    Returns:
        None 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::ReplaceWithEfficiency "void MlfDetectorEfficiencyCorrection::ReplaceWithEfficiency(ElementContainerMatrix *_ecm)
==========================================================================================
    Set Detector Efficiency values into ElementContainer.
    This replaces the intensity of given ElementContainer with the calculated detector efficiency.

    Args:
        _ecm (ElementContainerMatrix) Target Data

    Returns:
        None 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::GetEfficiency "Double MlfDetectorEfficiencyCorrection::GetEfficiency(double Ef, double theta)
===============================================================================
    Gets detector efficiency value.

    Args:
        Ef (Double) [meV]
        theta (Double) [degree] angle from perpendicular to detector to the incident direction

    Returns:
        double value of efficiency 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::MakeApproximateData "bool MlfDetectorEfficiencyCorrection::MakeApproximateData(string path, double Ef_min, double Ef_max, UInt4 Ef_num, double th_min, double th_max, UInt4 th_num)
===============================================================================================================================================================
    Makes data file storing approximate value of detector efficiency.

    Args:
        path (string) path of data file to be saved
        Ef_min (Double) min value of Ef range [meV]
        Ef_min (Double) max value of Ef range [meV]
        Ef_num (UInt4) the number of Ef range divisions [meV]
        th_min (Double) min value of theta range [meV]
        th_min (Double) max value of theta range [meV]
        th_num (UInt4) the number of theta range divisions [meV]

    Returns:
        true : succeeded.
        false : failed. 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::LoadApproximateData "bool MlfDetectorEfficiencyCorrection::LoadApproximateData(string path)
=======================================================================
    Loads data from file storing approximate values of detector efficiency.

    Args:
        path (string) path of data file to be saved

    Returns:
        true : succeeded.
        false : failed. 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::GetEfficiencyApproximateVal "Double MlfDetectorEfficiencyCorrection::GetEfficiencyApproximateVal(double Ef, double theta)
=============================================================================================
    Gets detector efficiency approximate value from loaded data file.
    Aproximate value is calculated by interpolation using values matrix with lambda and theta axes.

    Args:
        Ef (Double) [meV]
        theta (Double) [degree] angle from perpendicular to detector to the incident direction

    Returns:
        double value of efficiency 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::EToLambda "Double MlfDetectorEfficiencyCorrection::EToLambda(Double ene)
==============================================================
    Converts enrgy value [meV] to wave length [1/Ang] of neutrons.

    Args:
        ene (Double) [meV]

    Returns:
        double value of wave length 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::LambdaToE "Double MlfDetectorEfficiencyCorrection::LambdaToE(Double lambda)
=================================================================
    Converts wave length [1/Ang] to enrgy value [meV] of neutrons.

    Args:
        lambda (Double) [1/Ang]

    Returns:
        double value of eneryg 

";
%feature("docstring") MlfDetectorEfficiencyCorrection::PutApproximateDataRange "vector< Double > MlfDetectorEfficiencyCorrection::PutApproximateDataRange(string path=\"\")
============================================================================================
    Returns data range from file storing approximate values of detector efficiency.

    Args:
        path (string) path of data file to be saved

    Returns:
        vector<double> [<Ef_min>, <Ef_max>, <num_of_Ef>, <Th_min>, <Th_max>, <num_of_Th> ] 

";
// File: classMlfMatrixSlicer.xml

%feature("docstring") MlfMatrixSlicer "

    Slice a plane and get a line on the plane.
    Slice a plane specified by 3 points( org, x, y) from a data. and get a line on the plane. The data must be ElementContainerArray or ElementContainerMatrix.
    ups = Utsusemi.MlfMatrixSlicer( data ) <- ElementContainerArray or ElementContainerMatrix. ups.SetAxes(\"Qa\",\"Qb\",\"Qc\") <- Qa,Qb,Qc must be existed as a key of vectors in EC or HeaderBase in EC,ECA,ECM ups.SetPlaneKeys(\"SlicedX\",\"SlicedY\") sliced_eca = Manyo.ElementContaineArray() ups.GetPlane(sliced_eca,[0,0,0],[1,0,0],[0,1,0],0.1,0.05,[-1.0,10.0],[-0.5,5.0],0.2)
    C++ includes: MlfMatrixSlicer.hh 

";
%feature("docstring") MlfMatrixSlicer::MlfMatrixSlicer "MlfMatrixSlicer::MlfMatrixSlicer()
===================================
    Constructor. 

    
MlfMatrixSlicer::MlfMatrixSlicer(ElementContainerMatrix *ecm)
==============================================================
    Constructor.

    Args:
        ecm Target ElementContainerMatrix 
    
MlfMatrixSlicer::MlfMatrixSlicer(ElementContainerArray *eca)
=============================================================
    Constructor.

    Args:
        eca Target ElementContainerArray 
";
%feature("docstring") MlfMatrixSlicer::~MlfMatrixSlicer "MlfMatrixSlicer::~MlfMatrixSlicer()
====================================
    Destructor. 

";
%feature("docstring") MlfMatrixSlicer::SetTarget "void MlfMatrixSlicer::SetTarget(ElementContainerMatrix *ecm) 

    
void MlfMatrixSlicer::SetTarget(ElementContainerArray *eca) 
";
%feature("docstring") MlfMatrixSlicer::SetAxes "bool MlfMatrixSlicer::SetAxes(string keyX, string keyY, string keyZ)
=====================================================================
    Specify keys for 3 axes.

    Args:
        keyX key of X-axis
        keyY key of Y-axis
        keyZ key of Z-axis @returnValue true: sucsess or false: faile 

";
%feature("docstring") MlfMatrixSlicer::IsValid "bool MlfMatrixSlicer::IsValid()
================================
    Return if valid data.

    Args:
        None @returnValue true or false 

";
%feature("docstring") MlfMatrixSlicer::SetPlaneKeys "void MlfMatrixSlicer::SetPlaneKeys(string xkey, string ykey)
=============================================================
    Set x and y keys for sliced plane.
    set string keys

    Args:
        xkey key of X data
        ykey key of Y data 

";
%feature("docstring") MlfMatrixSlicer::GetPlane "ElementContainerArray * MlfMatrixSlicer::GetPlane(vector< Double > org, vector< Double > x, vector< Double > y, Double xbin, Double ybin, vector< Double > xrange, vector< Double > yrange, Double thickness)
==============================================================================================================================================================================================================
    Get sliced plane ( Obsoleted )

    Args:
        org org point(x,y,z) of plane
        x a point(x,y,z) on x axis of plane
        y a point(x,y,z) on y axis of plane
        xbin bin value for x axis
        ybin bin value for y axis
        xrange (x0,x1)
        yrange (y0,y1)
        thickness thickness of plane @returnValue ElementContainerArray (Sliced plane) 

    
bool MlfMatrixSlicer::GetPlane(ElementContainerArray *eca, vector< Double > org, vector< Double > x, vector< Double > y, Double xbin, Double ybin, vector< Double > xrange, vector< Double > yrange, Double thickness) 
    
bool MlfMatrixSlicer::GetPlane(ElementContainerArray *eca, PyObject *org, PyObject *x, PyObject *y, Double xbin, Double ybin, PyObject *xrange, PyObject *yrange, Double thickness)
====================================================================================================================================================================================
    Get sliced plane.

    Args:
        eca ElementContainerArray to be filled by slice results
        org org point(x,y,z) of plane
        x a point(x,y,z) on x axis of plane
        y a point(x,y,z) on y axis of plane
        xbin bin value for x axis
        ybin bin value for y axis
        xrange (x0,x1)
        yrange (y0,y1)
        thickness thickness of plane

    Returns:
        true : succeeded
        false failed 
";
%feature("docstring") MlfMatrixSlicer::Slice "bool MlfMatrixSlicer::Slice(ElementContainerArray *eca, vector< Double > org, vector< Double > ux, vector< Double > uy, vector< Double > xrange, vector< Double > yrange, Double thickness) 

    
bool MlfMatrixSlicer::Slice(ElementContainerArray *eca, PyObject *org, PyObject *ux, PyObject *uy, PyObject *xrange, PyObject *yrange, Double thickness)
=========================================================================================================================================================
    Get sliced plane.

    Args:
        eca ElementContainerArray to be filled by slice results
        org org point(x,y,z) of plane
        ux direction vector of x-axis
        uy direction vector of y-axis
        xrange (x_min,x_max,xbin)
        yrange (y_min,y_max,ybin)
        thickness thickness of plane

    Returns:
        true : succeeded
        false failed 
";
%feature("docstring") MlfMatrixSlicer::GetPlaneAsDetectMap "bool MlfMatrixSlicer::GetPlaneAsDetectMap(ElementContainerArray *ret_eca, string keyX, string keyY, string keyZ, vector< Double > zrange, bool withBankGap=true) 

    
bool MlfMatrixSlicer::GetPlaneAsDetectMap(ElementContainerArray *ret_eca, string keyX, string keyY, string keyZ, PyObject *zrange, bool withBankGap=true)
==========================================================================================================================================================
    Get sliced plane as DetectMap data.
    This includes SetAxes(string keyX, string keyY, string keyZ).

    Args:
        ret_eca ElementContainerArray to be filled by slice results
        keyX key of X-axis (usually \"DETID\") detector direction
        keyY key of Y-axis (usually \"\" ) pixel direction
        keyZ key of Z-axis (usually vector key) \"TOF\" direction
        zrange (z0,z1)
        withBankGap true : insert dammy detector between banks ( guide for eyes )

    Returns:
        true : succeeded
        false failed 
";
%feature("docstring") MlfMatrixSlicer::PutDetectMapIndex "vector< Int4 > MlfMatrixSlicer::PutDetectMapIndex(UInt4 xind, UInt4 yind)
==========================================================================
    Get index of original ElementContainer for sliced plane as DetectMap data.

    Args:
        xind index of x for sliced plane
        yind index of y for sliced plane @returnValue vector<Int4> : empty returns if out of size, <-1,-1> returns if should be ignored 

";
%feature("docstring") MlfMatrixSlicer::SetLineKeys "void MlfMatrixSlicer::SetLineKeys(string xkey, string ykey)
============================================================
    Set x and y keys for line.
    set string keys

    Args:
        xkey key of X data
        ykey key of Y data 

";
%feature("docstring") MlfMatrixSlicer::GetLine "ElementContainer MlfMatrixSlicer::GetLine(vector< Double > start, vector< Double > end, Double bin, Double width) 

    
ElementContainer MlfMatrixSlicer::GetLine(PyObject *start, PyObject *end, Double bin, Double width)
====================================================================================================
    Clip and get a line data.
    X axis will be TOF or Energy

    Args:
        start start point(x,y) of line
        end end point(x,y) of line
        bin bin value for x axis
        width width of line @returnValue ElementContainer 
";
%feature("docstring") MlfMatrixSlicer::SetPlane "void MlfMatrixSlicer::SetPlane(ElementContainerArray *plane)
=============================================================
    Set a plane.
    set plane data

    Args:
        plane a plane 

";
%feature("docstring") MlfMatrixSlicer::SetAverageMode "void MlfMatrixSlicer::SetAverageMode() 

";
%feature("docstring") MlfMatrixSlicer::SetSummationMode "void MlfMatrixSlicer::SetSummationMode() 

";
%feature("docstring") MlfMatrixSlicer::PutAllAxesRanges "vector< Double > MlfMatrixSlicer::PutAllAxesRanges(string keyX=\"\", string keyY=\"\", string keyZ=\"\") 

";
// File: classMlfScatAbsoBodyManager.xml

%feature("docstring") MlfScatAbsoBodyManager "

    Calclates neutron Scattring and absorption on nuclei.
    This code gives crosssections for atoms which are used for the detector efficiency correction.
    Override some methods import parameters from xml files instead of text files.
    Yasuhiro Inamura (J-PARC,MLF)
    C++ includes: MlfScatAbsoBodyManager.hh 

";
%feature("docstring") MlfScatAbsoBodyManager::MlfScatAbsoBodyManager "MlfScatAbsoBodyManager::MlfScatAbsoBodyManager() 

    
MlfScatAbsoBodyManager::MlfScatAbsoBodyManager(string _detectInfoPath, string _nistDataPath=\"\") 
";
%feature("docstring") MlfScatAbsoBodyManager::~MlfScatAbsoBodyManager "MlfScatAbsoBodyManager::~MlfScatAbsoBodyManager() 

";
%feature("docstring") MlfScatAbsoBodyManager::SetXmlInfoFile "bool MlfScatAbsoBodyManager::SetXmlInfoFile(string detectorInfoPath, string _nistDataPath=\"\")
================================================================================================
    Set full path to DetectorInfo file and Nist data file.

    Args:
        detectorInfoPath (string)
        _nistDataPath (string)

    Returns:
        None
        Load DetectorInfo.xml char detinfo_tmp[300]; sprintf( detinfo_tmp, \"%s/%s\", search_path.c_str(), detectorInfoName.c_str() ); string detinfo_path( detinfo_tmp );
        if (_BXP==NULL) _BXP = new BoostXmlParser(); else{ _BXP->Clear(); } if (_BXP->Load( _XML_KEY_DETDATA, detinfo_path )){ }else{ cout << _MessageTag+\"SetNistXsecData >> not found detectorInfo=\"+detinfo_path << endl; Status = false; return false; }
        Load NistXsectData.xml string nist_data_xml_file = _XML_NAME_NISTDATA;
        if (_nistDatapath!=\"\"){ string::size_type s = _nistDatapath.find_last_of(\"/\"); if (s==string::npos){ nist_data_xml_file = _nistDatapath; }else{ nist_data_xml_file = _nistDatapath.substr( s ); search_path = _nistDatapath.erase(s); } cout << _MessageTag+\"SetNistXsecData >> nist_data_xml_file=\"+nist_data_xml_file<<endl; cout << _MessageTag+\"SetNistXsecData >> search path=\"+search_path<<endl; }
        char tmp[300]; sprintf( tmp, \"%s/%s\", search_path.c_str(), nist_data_xml_file.c_str() ); string path( tmp );
        if (_BXP->Load( _XML_KEY_NISTDATA, path )){ Status = true; }else{ cout << _MessageTag+\"SetNistXsecData >> Not found NIST data =\"+path<<endl; Status = false; return false; }
        return true; 

";
%feature("docstring") MlfScatAbsoBodyManager::SetNistXmlFile "bool MlfScatAbsoBodyManager::SetNistXmlFile(string _nistDataPath) 

";
%feature("docstring") MlfScatAbsoBodyManager::SetDetectorInfoFile "bool MlfScatAbsoBodyManager::SetDetectorInfoFile(string detectorInfoPath) 

";
%feature("docstring") MlfScatAbsoBodyManager::SetDetName "bool MlfScatAbsoBodyManager::SetDetName(string det_name=\"\") 

";
%feature("docstring") MlfScatAbsoBodyManager::PutDetectorStructureInfo "string MlfScatAbsoBodyManager::PutDetectorStructureInfo() 

";
%feature("docstring") MlfScatAbsoBodyManager::AddSigmaToXtable "bool MlfScatAbsoBodyManager::AddSigmaToXtable(string atomname) 

";
%feature("docstring") MlfScatAbsoBodyManager::DumpXtable "void MlfScatAbsoBodyManager::DumpXtable() 

";
%feature("docstring") MlfScatAbsoBodyManager::GetAtomSigmaWithEnergy "Double MlfScatAbsoBodyManager::GetAtomSigmaWithEnergy(string atomname, string xstype, Double energy) 

";
%feature("docstring") MlfScatAbsoBodyManager::GetAtomSigmaWithLambda "Double MlfScatAbsoBodyManager::GetAtomSigmaWithLambda(string atomname, string xstype, Double lambda) 

";
%feature("docstring") MlfScatAbsoBodyManager::SetInfoData "void MlfScatAbsoBodyManager::SetInfoData(string det_name, struct ScatAbsoInfo *wallInfo, struct ScatAbsoInfo *bodyInfo)
========================================================================================================================
    set AdvScatAbsoBodyManagerDNA variables to values from specified file.

    Args:
        filename scatterer and/or absorbent data file
        wallInfo information of wall of container
        bodyInfo information of scatterer and/or absorbent
        set value to AdvScatAbsoBodyManagerDNA variable.

    Args:
        filename scatterer and/or absorbent data file
        wallInfo information of wall of container
        bodyInfo information of scatterer and/or absorbent 

";
%feature("docstring") MlfScatAbsoBodyManager::SetSigmaDataNIST "void MlfScatAbsoBodyManager::SetSigmaDataNIST(Double velocity, string atomname, string typeCS)
===============================================================================================
    set an array to cross section data from the file recorded NIST data.

    Args:
        velocity
        atomname atomic name
        typeCS type of scattering and absorption data. available values of typeCS 't' sum of scattering cross section and absorption cross sction midefied using user specified velocity
        'a' absorption cross sction midefied using user specified velocity
        's' scattering cross section
        'c' cohrent length
        'i' incoherent length
        array dataCS[][] in the class keeps NIST data in following way, dataCS[0][0] incident neutron velocity at measurement
        dataCS[0][1] user specified data using character symbol
        set sigma by use of database file made by NIST

    Args:
        atomname atomic name
        typeCS mass number, atomic name and scattering type 

";
%feature("docstring") MlfScatAbsoBodyManager::GetAtomicWeight "Double MlfScatAbsoBodyManager::GetAtomicWeight(string)
=======================================================
    get atomic weight for the specified nuclide or elemnent 

";
%feature("docstring") MlfScatAbsoBodyManager::GetEfficiency "Double MlfScatAbsoBodyManager::GetEfficiency(Double eneNeutron, Double thetaDetector) 

";
%feature("docstring") MlfScatAbsoBodyManager::GetSigmas "void MlfScatAbsoBodyManager::GetSigmas(Double energy, Double *sigmaDA, Double *sigmaWA, Double *sigmaWS) 

";
%feature("docstring") MlfScatAbsoBodyManager::CalcEfficiencyDetector "Double MlfScatAbsoBodyManager::CalcEfficiencyDetector(Double thetaDetector, Double sigmaDA, Double sigmaWS, Double sigmaWA) 

";
%feature("docstring") MlfScatAbsoBodyManager::ReturnAbsorptionByDetector "Double MlfScatAbsoBodyManager::ReturnAbsorptionByDetector(Double x, Double theta, Double sigmaDA, Double sigmaWS, Double sigmaWA, Double radiusDetector, Double radiusInnerDetector, Double radiusWall, Double n3He, Double nwall, Double T) 

";
%feature("docstring") MlfScatAbsoBodyManager::GetMolecularWeight "Double MlfScatAbsoBodyManager::GetMolecularWeight(string form) 

";
%feature("docstring") MlfScatAbsoBodyManager::GetTotalXsectAve "Double MlfScatAbsoBodyManager::GetTotalXsectAve(string form) 

";
%feature("docstring") MlfScatAbsoBodyManager::GetNumberDensity "Double MlfScatAbsoBodyManager::GetNumberDensity(string form, Double dencity) 

";
%feature("docstring") MlfScatAbsoBodyManager::_Transform "bool MlfScatAbsoBodyManager::_Transform(string form, vector< pair< string, Double > > &parts) 

";
%feature("docstring") MlfScatAbsoBodyManager::_GetAtomInfo "bool MlfScatAbsoBodyManager::_GetAtomInfo(string atomname, vector< Double > &info) 

";
%feature("docstring") MlfScatAbsoBodyManager::SetDebugMode "void MlfScatAbsoBodyManager::SetDebugMode(bool _isDebug=true) 

";
// File: classOnLineGnuPlot.xml

%feature("docstring") OnLineGnuPlot "

";
%feature("docstring") OnLineGnuPlot::OnLineGnuPlot "OnLineGnuPlot::OnLineGnuPlot(string command=\"gnuplot\") 

";
%feature("docstring") OnLineGnuPlot::~OnLineGnuPlot "OnLineGnuPlot::~OnLineGnuPlot() 

";
%feature("docstring") OnLineGnuPlot::e "void OnLineGnuPlot::e(string command) 

";
%feature("docstring") OnLineGnuPlot::SetGrayColor "void OnLineGnuPlot::SetGrayColor() 

";
%feature("docstring") OnLineGnuPlot::SetDataObj "void OnLineGnuPlot::SetDataObj(vector< GslHistogram * > *data, vector< vector< UInt4 > > dim) 

    
void OnLineGnuPlot::SetDataObj(vector< GslHistogram * > *data, UInt4 x, UInt4 y) 
";
%feature("docstring") OnLineGnuPlot::MapPlot "void OnLineGnuPlot::MapPlot() 

    
void OnLineGnuPlot::MapPlot(UInt4 tof) 
";
%feature("docstring") OnLineGnuPlot::SurfacePlot "void OnLineGnuPlot::SurfacePlot() 

    
void OnLineGnuPlot::SurfacePlot(UInt4 tof) 
";
%feature("docstring") OnLineGnuPlot::TofVsCounts "void OnLineGnuPlot::TofVsCounts(UInt4 Psd) 

";
// File: classT0TreatToolsBase.xml

%feature("docstring") T0TreatToolsBase "

    Tools for treating T0 event in eventdata.
    updated 130501: define NumOfClocksBeforeFirstT0 130227: define BytesOfOrgEvent for readOrgEvent 100910: delete returnBytesOfEvent and define const BytesOfT0Event
    C++ includes: T0TreatToolsBase.hh 

";
%feature("docstring") T0TreatToolsBase::T0TreatToolsBase "T0TreatToolsBase::T0TreatToolsBase(UInt4 bytes_of_org_event=8)
===============================================================
    Constructor.

    Args:
        bytes_of_org_event size of event to be read [bytes] 

";
%feature("docstring") T0TreatToolsBase::~T0TreatToolsBase "T0TreatToolsBase::~T0TreatToolsBase()
======================================
    Destructor. 

";
%feature("docstring") T0TreatToolsBase::readOrgEvent "UInt4 T0TreatToolsBase::readOrgEvent(string filename) 

    
UInt4 T0TreatToolsBase::readOrgEvent(vector< string > filenames)
=================================================================
    Load original event data.
    This reads original event data from DAQ system to count events from head of file to T0 event and store counts, Pulse ID and its Instrument clock. readOrgEvent( string filename ) readOrgEvent( vector<string> filenames )

    Args:
        filename the file name of event data from DAQ
        filenames the file name list of event data

    Returns:
        0 succeeded in reading file
        1 failed in reading file 
";
%feature("docstring") T0TreatToolsBase::saveT0IndexEvent "UInt4 T0TreatToolsBase::saveT0IndexEvent(string filename)
==========================================================
    Make T0 index file.
    This reads Event Data (RAW), make T0 index and save as file.

    Args:
        filename the file name of event data for T0 index.

    Returns:
        0 succeeded in saving file
        1 failed in saving file 

";
%feature("docstring") T0TreatToolsBase::readT0IndexEventold "UInt4 T0TreatToolsBase::readT0IndexEventold(string filename) 

    
UInt4 T0TreatToolsBase::readT0IndexEventold(vector< string > filenames) 
";
%feature("docstring") T0TreatToolsBase::readT0IndexEvent "UInt4 T0TreatToolsBase::readT0IndexEvent(string filename) 

    
UInt4 T0TreatToolsBase::readT0IndexEvent(vector< string > filenames)
=====================================================================
    Read T0 index file.
    Read T0 index file produced by makeT0Index readT0IndexEvent( string filename ) readT0IndexEvent( vector<string> filenames );

    Args:
        filename the file name of event data for T0 index.
        filenames

    Returns:
        0 succeeded in reading file
        1 failed in readinf file 
";
%feature("docstring") T0TreatToolsBase::putVectorT0Index "vector< UInt8 > T0TreatToolsBase::putVectorT0Index()
=====================================================
    Put T0 index.
    Put all T0 index as vector

    Returns:
        vector<UInt4> 

";
%feature("docstring") T0TreatToolsBase::putVectorT0IndexBySec "vector< UInt8 > T0TreatToolsBase::putVectorT0IndexBySec(Double start_sec, Double end_sec)
==========================================================================================
    Put T0 index vector between start ana end.
    Put T0 index

    Args:
        start_sec (Double)
        end_sec (Double)

    Returns:
        vector<UInt4> 

";
%feature("docstring") T0TreatToolsBase::putVectorPulseId "vector< UInt8 > T0TreatToolsBase::putVectorPulseId()
=====================================================
    Put PulseId.
    Put all PulseIDs as vector

    Returns:
        vector<UInt8> 

";
%feature("docstring") T0TreatToolsBase::putVectorPulseIdBySec "vector< UInt8 > T0TreatToolsBase::putVectorPulseIdBySec(Double start_sec, Double end_sec)
==========================================================================================
    Put PulseId vector between start ana end.
    Put PulseId index in the range of given parameters

    Args:
        start_sec (Double)
        end_sec (Double)

    Returns:
        vector<UInt8> 

";
%feature("docstring") T0TreatToolsBase::putVectorT0Clock "vector< Double > T0TreatToolsBase::putVectorT0Clock()
======================================================
    Put T0 clock.
    Put all T0 clocks as vector

    Returns:
        vector<double> 

";
%feature("docstring") T0TreatToolsBase::makeVectorBySec "void T0TreatToolsBase::makeVectorBySec(Double start_sec, Double end_sec, bool getT0Index=true) 

";
%feature("docstring") T0TreatToolsBase::putT0IndexByPid "vector< UInt8 > T0TreatToolsBase::putT0IndexByPid(UInt8 start_pid, UInt8 end_pid)
==================================================================================
    Put required region of T0 index.
    Put start and end index of T0 by given Pulse-IDs.

    Args:
        start_pid pulse id at beggining in required region
        end_pid pulse id at last in reaquired region

    Returns:
        vector<UInt4> vector size is 2. 

";
%feature("docstring") T0TreatToolsBase::putT0IndexByClock "vector< UInt8 > T0TreatToolsBase::putT0IndexByClock(Double start_clock, Double end_clock)
==========================================================================================
    Put required region of T0 index.
    Put start and end index of T0 by given Clocks.

    Args:
        start_clock clock at beggining in required region
        end_clock clock at last in reaquired region

    Returns:
        vector<UInt4> vector size is 2. 

";
%feature("docstring") T0TreatToolsBase::putT0ClockRegion "vector< Double > T0TreatToolsBase::putT0ClockRegion()
======================================================
    Put the region of clock number of T0.
    Put two clock numbers for top and last index of T0

    Returns:
        vector<double> vector size is 2. 

";
%feature("docstring") T0TreatToolsBase::putPidRegion "vector< UInt8 > T0TreatToolsBase::putPidRegion()
=================================================
    Put region of of PID.
    Put first PID and last PID of T0

    Returns:
        vector<UInt4> vector size is 2. 

";
%feature("docstring") T0TreatToolsBase::putT0ClockDiffAll "vector< Double > T0TreatToolsBase::putT0ClockDiffAll() 

";
%feature("docstring") T0TreatToolsBase::putT0ClockDiff "vector< Double > T0TreatToolsBase::putT0ClockDiff()
====================================================
    Put differences of clocks.
    putT0ClockDiffAll : all differences putT0ClockDiff : sliced list of differences

    Returns:
        vector<Double> 

";
%feature("docstring") T0TreatToolsBase::decodeT0ClockEvent "void T0TreatToolsBase::decodeT0ClockEvent(UChar eventClock[], Double *clock)
=============================================================================
    decode Inst clock event

    Args:
        eventClock (UChar) given Inst Clock event
        clock (Double*)

    Returns:
        None 

";
%feature("docstring") T0TreatToolsBase::CheckReliable "bool T0TreatToolsBase::CheckReliable() 

";
%feature("docstring") T0TreatToolsBase::convertInstClockToDateTime "vector< Double > T0TreatToolsBase::convertInstClockToDateTime(Double inst_clock)
=================================================================================
    convert Instrument Clock (UTC) to Date Time (JST)

    Args:
        inst_clock (Double) instrument clock decoded from Instrument clock event [sec]

    Returns:
        vector<Double> vector of year,month,day,hour,minute,second,sub-second 

";
%feature("docstring") T0TreatToolsBase::convertDateTimeToInstClock "Double T0TreatToolsBase::convertDateTimeToInstClock(vector< Double > date_time)
================================================================================
    convert Date Time (JST) to Instrument Clock which its origin is 2008/1/1 00:00:00 (MLF origin Date Time)

    Args:
        vector<Double> vector of year,month,day,hour,minute,second,sub-second

    Returns:
        (Double) instrument clock decoded from Instrument clock event 

";
%feature("docstring") T0TreatToolsBase::putMeasPeriodFromT0 "vector< Double > T0TreatToolsBase::putMeasPeriodFromT0()
=========================================================
    put measuring period from instrument clock event
    This returns vector with 12 params. If conversion is failed, size of returned vector is one.

    Args:
        None

    Returns:
        vector<Double> vector with 12 params for begin time and end time (year,month,day,hour,minute,second,sub-second) x 2 

";
%feature("docstring") T0TreatToolsBase::clearMeasPeriod "void T0TreatToolsBase::clearMeasPeriod()
=========================================
    clear stored measuring period

    Args:
        None

    Returns:
        None 

";
%feature("docstring") T0TreatToolsBase::SetBytesOfOrgEvent "void T0TreatToolsBase::SetBytesOfOrgEvent(UInt4 bytes_of_org_event) 

";
%feature("docstring") T0TreatToolsBase::setNumOfClocksBeforeFirstT0 "void T0TreatToolsBase::setNumOfClocksBeforeFirstT0(UInt4 num_of_clocks) 

";
%feature("docstring") T0TreatToolsBase::putSlicedT0IndexEvent "vector< UInt8 > T0TreatToolsBase::putSlicedT0IndexEvent(UInt8 start_posi, string path_to_file, UInt8 *count_to_last) 

";
%feature("docstring") T0TreatToolsBase::putSlicedT0IndexEventPy "vector< UInt8 > T0TreatToolsBase::putSlicedT0IndexEventPy(UInt8 start_posi, string path_to_file)
=================================================================================================
    Put required region of T0 index from T0Index Event file.
    T0Index will be picked up from start_posi to count_to_last.

    Args:
        start_posi T0Index events before start_posi are skipped.
        path_to_file path to event data file
        count_to_last the number of events from start_poti to last. Set 0 when read all events after start_posi.

    Returns:
        vector<UInt4> 

";
%feature("docstring") T0TreatToolsBase::putSlicedT0EventInfo "bool T0TreatToolsBase::putSlicedT0EventInfo(UInt8 start_posi, vector< string > filenames, vector< UInt8 > &retCountToLast, vector< UInt8 > &retT0Index, vector< UInt8 > &retPulseId, vector< Double > &retDiffClock, UInt8 lastPulseId=0) 

";
%feature("docstring") T0TreatToolsBase::putSlicedT0EventInfoPy1 "vector< UInt8 > T0TreatToolsBase::putSlicedT0EventInfoPy1(UInt8 start_posi, vector< string > filenames) 

";
%feature("docstring") T0TreatToolsBase::putSlicedT0EventInfoPy2 "vector< UInt8 > T0TreatToolsBase::putSlicedT0EventInfoPy2(UInt8 start_posi, vector< string > filenames, UInt8 start_pid=0) 

";
%feature("docstring") T0TreatToolsBase::putT0SecVector "vector< Double > T0TreatToolsBase::putT0SecVector() 

";
%feature("docstring") T0TreatToolsBase::dumpMeasPeriodClock "void T0TreatToolsBase::dumpMeasPeriodClock() 

";
%feature("docstring") T0TreatToolsBase::PutT0Index "vector< UInt8 > T0TreatToolsBase::PutT0Index()
===============================================
    Put T0 Index.
    Put T0 Index vector. If time slicing is set using by SetRangeOfSingleTimeSlicing return sliced T0 Index vector

    Returns:
        vector<UInt4> 

";
%feature("docstring") T0TreatToolsBase::PutPulseId "vector< UInt8 > T0TreatToolsBase::PutPulseId()
===============================================
    Put Pulse ID list.
    Put Pulse ID vector. If time slicing is set using by SetRangeOfSingleTimeSlicing return sliced Pulse ID vector

    Returns:
        vector<UInt8> 

";
%feature("docstring") T0TreatToolsBase::PutT0ClockDiff "vector< Double > T0TreatToolsBase::PutT0ClockDiff()
====================================================
    Put differences of instrument clocks.
    If time slicing is set using by SetRangeOfSingleTimeSlicing return sliced clock vector

    Returns:
        vector<Double> 

";
%feature("docstring") T0TreatToolsBase::PutT0Clock "vector< Double > T0TreatToolsBase::PutT0Clock()
================================================
    Put instrument clocks.
    If time slicing is set using by SetRangeOfSingleTimeSlicing return sliced clock vector

    Returns:
        vector<Double> 

";
%feature("docstring") T0TreatToolsBase::SetRangeOfSingleTimeSlicing "bool T0TreatToolsBase::SetRangeOfSingleTimeSlicing(double startSec, double endSec)
===================================================================================
    Sets time range for time slice of event data.
    Values for time are indicated the passed time [sec] from head of event data

    Args:
        startSec start time [sec]
        endSec end time [sec]

    Returns:
        None 

    
bool T0TreatToolsBase::SetRangeOfSingleTimeSlicing(string startDate, string endDate)
=====================================================================================
    Sets time range for time slice of event data.
    Values for time are indicated the passed time [sec] from head of event data string format : \"YYYY,MM,DD,hh,mm,ss,s.ss\", \"2011,1,22,13,54,22,0.54\"

    Args:
        startDate start date string
        endDate end date string

    Returns:
        None 
";
%feature("docstring") T0TreatToolsBase::SetExternalClockInfo "void T0TreatToolsBase::SetExternalClockInfo(vector< Double > _t0Time, bool _isReliable=true) 

";
%feature("docstring") T0TreatToolsBase::ClearExternalClockInfo "void T0TreatToolsBase::ClearExternalClockInfo() 

";
%feature("docstring") T0TreatToolsBase::PutSlicedOrgEventBySec "bool T0TreatToolsBase::PutSlicedOrgEventBySec(vector< string > orgfiles, double start_sec, double end_sec, string outfile, vector< double > extTime) 

";
%feature("docstring") T0TreatToolsBase::PutSlicedOrgEventByKicker "bool T0TreatToolsBase::PutSlicedOrgEventByKicker(vector< string > orgfiles, UInt4 start_kick, UInt4 end_kick, string outfile) 

";
%feature("docstring") T0TreatToolsBase::DecodePidClockEvent "void T0TreatToolsBase::DecodePidClockEvent(UChar eventPid[], UChar eventClock[], UInt8 *pid, Double *clock) 

";
%feature("docstring") T0TreatToolsBase::EncodePidClockEvent "void T0TreatToolsBase::EncodePidClockEvent(UChar eventPid[], UChar eventClock[], UInt8 pid, Double clock) 

";
