%module  MLF
%include "carrays.i"
%include "std_string.i"
%include "std_vector.i"
%include "std_pair.i"
%include "VectorDef.i"

%{
#include "Header.hh"
#include "MlfHeader.hh"
#include "EventDataToHistogramBase.hh"
#include "EventDataMonitorBase.hh"
#include "GnuplotInterface.hh"
#include "OnLineGnuPlot.hh"
#include "T0TreatToolsBase.hh"
#include "ContainerViewer.hh"
#include "AcquireNeutronSourceInformationBase.hh"
#include "AcquireNeutronSourceInformationControlBase.hh"
#include "AcquireNeutronSourceTextInformation.hh"
#include "AcquireNeutronSourceImageInformation.hh"
#include "AverageElementContainerMatrix.hh"
#include "BoostXmlParser.hh"
#include "MlfPhysicalConstants.hh"
#include "MlfMatrixSlicer.hh"
#include "MlfArraySlicer.hh"
#include "AdvScatAbsoBodyManagerMLF.hh"
#include "MlfScatAbsoBodyManager.hh"
#include "MlfDetectorEfficiencyCorrection.hh"
#include "ArrayOperation.hh"

%}

%include "Header.hh"
%include "TemplateDef.i"

%include "DoxySwig.i"

%include "MlfHeader.hh"
%include "EventDataToHistogramBase.hh"
%include "EventDataMonitorBase.hh"
%include "GnuplotInterface.hh"
%include "OnLineGnuPlot.hh"
%include "T0TreatToolsBase.hh"
%include "ContainerViewer.hh"
%include "AcquireNeutronSourceInformationBase.hh"
%include "AcquireNeutronSourceInformationControlBase.hh"
%include "AcquireNeutronSourceTextInformation.hh"
%include "AcquireNeutronSourceImageInformation.hh"
%include "AverageElementContainerMatrix.hh"
%include "BoostXmlParser.hh"
%include "MlfPhysicalConstants.hh"
%include "MlfMatrixSlicer.hh"
%include "MlfArraySlicer.hh"
%include "AdvScatAbsoBodyManagerMLF.hh"
%include "MlfScatAbsoBodyManager.hh"
%include "MlfDetectorEfficiencyCorrection.hh"
%include "ArrayOperation.hh"
