#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Emaki package
Emaki decorator
Author: ITO, Takayoshi (CROSS)
Last update: Nov. 14th, 2012
"""
import time

# 処理時間を標準出力するデコレータ
def measure_time(func):
    def _measure_time(*argv, **keywords):
        ini = time.time()
        result = func(*argv, **keywords)
        fin = time.time()
        print "Processing time for %s: %.4f sec."%( func.func_name, fin-ini)
        return result
    return _measure_time

