%module  Emaki
%include "carrays.i"
%include "std_string.i"
%include "std_vector.i"
%include "std_pair.i"
%include "VectorDef.i"

%{
#include "Header.hh"
#include "EmakiDetectorInfoEditorReadout.hh"
#include "EmakiReadout1dEventDecoder.hh"
#include "T0TreatToolsReadout.hh"
#include "EmakiEventDataConverterReadout1d.hh"
#include "EfficiencyCorrectionTakumi.hh"
%}

%import(module="Manyo.MLF") "T0TreatToolsBase.hh"
%import(module="Manyo.Utsusemi") "DetectorInfoEditorBase.hh"
%import(module="Manyo.Utsusemi") "WiringInfoEditorBase.hh"
%import(module="Manyo.Utsusemi") "UtsusemiNeutronEventDecoderBase.hh"
%import(module="Manyo.Utsusemi") "UtsusemiFilterBase.hh"
%import(module="Manyo.Utsusemi") "UtsusemiFilterTrignet.hh"
%import(module="Manyo.Utsusemi") "UtsusemiEventCasesDecoderBase.hh"
%import(module="Manyo.Utsusemi") "UtsusemiEventCasesDecoderTemplate.hh"
%import(module="Manyo.Utsusemi") "UtsusemiEventDataConverterTemplate.hh"
%import(module="Manyo.Utsusemi") "T0TreatToolsReadout.hh"
%include "Header.hh"
%include "TemplateDef.i"
%include "EmakiReadout1dEventDecoder.hh"
%include "EmakiDetectorInfoEditorReadout.hh"
%include "EmakiEventDataConverterReadout1d.hh"
%include "EfficiencyCorrectionTakumi.hh"

