%module  SAS

%include "carrays.i"
%include "std_string.i"
%include "std_vector.i"
%include "std_pair.i"
%include "VectorDef.i"

%{
#include "Header.hh"
#include "MlfDetectorEfficiencyCorrection.hh"
#include "DetectorInfoEditorBase.hh"
#include "UtsusemiDetectorInfoEditorNeunet.hh"
#include "CreateLambVector.hh"
#include "ConvertToQspace.hh"
#include "ConvertToPoint.hh"
#include "SectorAverageByAngle.hh"
#include "SASCalcDetectorEffi.hh"
#include "DetectorEffiCorrection.hh"
#include "SASDetectorEfficiencyCorrection.hh"
#include "I0LambdaCorrection.hh"
#include "TransmittanceCorrection.hh"
#include "EcmSubtraction.hh"
#include "QzProjection.hh"
#include "CorrectEventRPMT.hh"
#include "DetectorEffiCorrectionRPMT.hh"
#include "CalcAzimuthProfile.hh"
#include "RPMTDataConverter.hh"
#include "IncohCalcFor3HeSpinFilter.hh"
#include "CalcScanTrajectory.hh"
#include "P0LambdaCorrection.hh"
#include "TreatQhklWithUB.hh"
#include "LambdaDependCorrection.hh"
#include "SASDetectorInfoEditorRPMT.hh"
#include "RPMTSetMaskBy2theta.hh"
%}

%include "DoxySwig.i"
%include "TemplateDef.i"

%include "Header.hh"
%include "MlfDetectorEfficiencyCorrection.hh"
%include "DetectorInfoEditorBase.hh"
%include "UtsusemiDetectorInfoEditorNeunet.hh"
%include "CreateLambVector.hh"
%include "ConvertToQspace.hh"
%include "ConvertToPoint.hh"
%include "SectorAverageByAngle.hh"
%include "SASCalcDetectorEffi.hh"
%include "DetectorEffiCorrection.hh"
%include "SASDetectorEfficiencyCorrection.hh"
%include "I0LambdaCorrection.hh"
%include "TransmittanceCorrection.hh"
%include "EcmSubtraction.hh"
%include "QzProjection.hh"
%include "CorrectEventRPMT.hh"
%include "DetectorEffiCorrectionRPMT.hh"
%include "CalcAzimuthProfile.hh"
%include "RPMTDataConverter.hh"
%include "IncohCalcFor3HeSpinFilter.hh"
%include "CalcScanTrajectory.hh"
%include "P0LambdaCorrection.hh"
%include "TreatQhklWithUB.hh"
%include "LambdaDependCorrection.hh"
%include "SASDetectorInfoEditorRPMT.hh"
%include "RPMTSetMaskBy2theta.hh"
