## Write areas names of concreted template class.
## See ../core/TemplateDef.i

%include "OperatorBase.hh"
%include "ManipulatorBase.hh"
%include "UtsusemiEventCasesDecoderTemplate.hh"
%include "UtsusemiEventDataConverterTemplate.hh"
%include "UtsusemiEventDataConverterTemplateWithPH.hh"
%include "UtsusemiEventDataConverterTemplateWithPHDep.hh"
%include "UtsusemiWiringInfoEditorTemplate.hh"
%include "UtsusemiDetectorInfoEditorTemplate.hh"
%include "UtsusemiEventDataConverterReadoutTemplate.hh"
%include "UtsusemiEventDataConverterReadoutWLSF32Template.hh"
%include "UtsusemiReadoutEventDecoderTemplate.hh"
%include "UtsusemiGetHistogramTemplate.hh"
%include "UtsusemiEventDataMonitorTemplate.hh"

%template (OperatorBaseElementContainerElementContainer) OperatorBase< ElementContainer, ElementContainer >;
%template (OperatorBaseElementContainerDoubleVector) OperatorBase< ElementContainer, vector<Double> >;
%template (OperatorBaseDoubleVectorDoubleVector) OperatorBase< vector<Double>, vector<Double> >;
%template (ManipulatorBaseElementContainer)       ManipulatorBase< ElementContainer >;
%template (ManipulatorBaseElementContainerArray)  ManipulatorBase< ElementContainerArray >;
%template (ManipulatorBaseElementContainerMatrix) ManipulatorBase< ElementContainerMatrix >;
%template (OperatorBaseElementContainerMatrixElementContainerArray) OperatorBase< ElementContainerMatrix, ElementContainerArray >;
%template (OperatorBaseMatrixContainer) OperatorBase<ElementContainerMatrix,ElementContainer>;
%template (OperaterBaseElementContainerArrayElementContainerArray) OperatorBase<ElementContainerArray,ElementContainerArray>;
%template (OperaterBaseElementContainerMatrixElementContainerMatrix) OperatorBase<ElementContainerMatrix,ElementContainerMatrix>;

%template (UtsusemiEventCasesDecoderTrig) UtsusemiEventCasesDecoderTemplate<T0TreatToolsNeunet,UtsusemiFilterTrignet>;
%template (UtsusemiEventDataConvSample) UtsusemiEventDataConverterTemplate<UtsusemiNeutronEventDecoderBase,UtsusemiEventCasesDecoderTemplate<T0TreatToolsBase,UtsusemiFilterBase> >;

%template (UtsusemiEventDataConvNeunet) UtsusemiEventDataConverterTemplate<UtsusemiNeunetEventDecoderBase,UtsusemiEventCasesDecoderTemplate<T0TreatToolsNeunet,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvNeunetWithPH) UtsusemiEventDataConverterTemplateWithPH<UtsusemiNeunetEventDecoderBase,UtsusemiEventCasesDecoderTemplate<T0TreatToolsNeunet,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvNeunetWithPHDep) UtsusemiEventDataConverterTemplateWithPHDep<UtsusemiNeunetEventDecoderBase,UtsusemiEventCasesDecoderTemplate<T0TreatToolsNeunet,UtsusemiFilterTrignet> >;
%template (UtsusemiWiringInfoEditBase) UtsusemiWiringInfoEditorTemplate<WiringInfoEditorBase>;
%template (UtsusemiWiringInfoEditNeunet) UtsusemiWiringInfoEditorTemplate<WiringInfoEditorNeunet>;

%template (UtsusemiReadoutEvtDecTempReadout2d) UtsusemiReadoutEventDecoderTemplate<WiringInfoEditorReadout,DetectorInfoEditorReadout2d>;
%template (UtsusemiEventCasesDecoderWLSFTrig) UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadoutWLSF32,UtsusemiFilterTrignet>;
%template (UtsusemiEventDataConvReadoutWLSF) UtsusemiEventDataConverterTemplate<UtsusemiReadoutWLSF32EventDecoder, UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadoutWLSF32,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvReadoutTemp) UtsusemiEventDataConverterReadoutTemplate<UtsusemiReadoutWLSF32EventDecoder, UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadoutWLSF32,UtsusemiFilterTrignet> >;
%template (UtsusemiEventData32ConvReadoutWLSF) UtsusemiEventDataConverterReadoutWLSF32Template<UtsusemiReadoutWLSF32EventDecoder, UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadoutWLSF32,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvTempRPMT) UtsusemiEventDataConverterTemplate<UtsusemiReadoutRPMTEventDecoder, UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadout,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvReadoutRPMT) UtsusemiEventDataConverterReadoutTemplate<UtsusemiReadoutRPMTEventDecoder,UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadout,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvTempMWPC) UtsusemiEventDataConverterTemplate<UtsusemiReadoutMWPCEventDecoder, UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadout,UtsusemiFilterTrignet> >;
%template (UtsusemiEventDataConvReadoutMWPC) UtsusemiEventDataConverterReadoutTemplate<UtsusemiReadoutMWPCEventDecoder,UtsusemiEventCasesDecoderTemplate<T0TreatToolsReadout,UtsusemiFilterTrignet> >;

%template (UtsusemiGetNeunetHist) UtsusemiGetHistogramTemplate<UtsusemiWiringInfoEditorNeunet,UtsusemiDetectorInfoEditorNeunet>;
%template (UtsusemiGetRPMTHist) UtsusemiGetHistogramTemplate<UtsusemiWiringInfoEditorBase,UtsusemiDetectorInfoEditorBase>;
%template (UtsusemiEventDataMonNeunet) UtsusemiEventDataMonitorTemplate<UtsusemiEventDataConverterNeunet>;
%template (UtsusemiEventDataMonMWPC) UtsusemiEventDataMonitorTemplate<UtsusemiEventDataConverterMWPC>;
%template (UtsusemiEventDataMonRPMT) UtsusemiEventDataMonitorTemplate<UtsusemiEventDataConverterRPMT>;

%template (UtsusemiDetectInfoEditBase) UtsusemiDetectorInfoEditorTemplate<DetectorInfoEditorBase>;
%template (UtsusemiDetectInfoEditNeunet) UtsusemiDetectorInfoEditorTemplate<DetectorInfoEditorNeunet>;
