/*
$Id: SplitString.cc 1940 2008-06-19 04:48:52Z jisuzuki $
*/


#include "SplitString.hh"
///////////////////////////////////////////
SplitString::
SplitString()
{ 
  //list = NULL; 
  //ListSize = 0;
}
///////////////////////////////////////////
SplitString::
~SplitString()
{
  //if( list != NULL ) delete [] list;
}
///////////////////////////////////////////
/*
void SplitString::
MakeTemp( string Source, string SplitKey )
{
  UInt4 size = Source.size();
  vector<UInt4> v;
  v.clear();

  for( UInt4 i=0; i<size; i++ ){
      if( Source.substr( i, 1 ) == SplitKey ) 
	v.push_back( i );
  }  // Check the number of elements
  ListSize = v.size()+1;

  if( list != NULL ) delete [] list;
  list = new string [ ListSize ];
  // Make temporary array, 
 
  if( v.size() == 0 )
    list[0] = Source;
  else{
    list[0] = Source.substr( 0, v[0] );
    
    for( UInt4 i=0; i<v.size(); i++ )
      list[i+1] = Source.substr( v[i]+1, v[i+1]-v[i]-1 );
  }
}
*/
///////////////////////////////////////////
vector<string> SplitString::
PutStringArray( string Source, string SplitKey )
{
  vector< string > output;
  output.clear();

  string s = Source;

  string temp;
  UInt4  size = (UInt4)(s.size());
  UInt4  DelimSize = (UInt4)(SplitKey.size());

  UInt4 pos = 0;

  while( pos < size ){
    pos = (UInt4)(s.find( SplitKey ));
    output.push_back( s.substr( 0, pos ) );
 
    s = s.substr( pos + DelimSize, size );
    if( s.size() == 0 ){
      break;
    }
  }

  vector<string> v;
  v.clear();

  UInt4 OutSize = (UInt4)(output.size());
  for( UInt4 j=0; j<OutSize; j++ ){
    if( output[j].size() != 0 ){
      v.push_back( output[j] );
    }
  }
  return v;
}
///////////////////////////////////////////

vector<string> SplitString::
PutStringArrayWithSpace( string Source, string SplitKey )
{
  vector< string > output;
  output.clear();

  string s = Source;

  string temp;
  UInt4  size = (UInt4)(s.size());
  UInt4  DelimSize = (UInt4)(SplitKey.size());

  UInt4 pos = 0;

  while( pos < size ){
    pos = (UInt4)(s.find( SplitKey ));
    output.push_back( s.substr( 0, pos ) );
 
    s = s.substr( pos + DelimSize, size );
    if( s.size() == 0 ){
      break;
    }
  }

  return output;

  /*
  MakeTemp( Source, SplitKey );

  vector<string> v;
  v.clear();

  for( UInt4 i=0; i<ListSize; i++ )
    v.push_back( list[i] );

  return v;
  */
}
///////////////////////////////////////////
vector<Int4> SplitString::
PutInt4Array( string Source, string SplitKey )
{
  vector< string > vs = PutStringArray( Source, SplitKey );
  UInt4 vsSize = (UInt4)(vs.size());
  
  vector< Int4 > vi( vsSize );
  for( UInt4 j=0; j<vsSize; j++ ){
    vi[ j ] = ( Int4 ) atoi( vs[ j ].c_str() ); 
  }
  return vi;

  /*
  MakeTemp( Source, SplitKey );
  vector<Int4> v;
  v.clear();

  for( UInt4 i=0; i<ListSize; i++ )
    v.push_back( ( Int4 )atoi( list[i].data() ) );
  return v;
  */
}
///////////////////////////////////////////
vector<UInt4> SplitString::
PutUInt4Array( string Source, string SplitKey )
{
  vector< string > vs = PutStringArray( Source, SplitKey );
  UInt4 vsSize = (UInt4)(vs.size());
  
  vector< UInt4 > vi( vsSize );
  for( UInt4 j=0; j<vsSize; j++ ){
    vi[ j ] = abs( ( Int4 ) atoi( vs[ j ].c_str() ) ); 
  }
  return vi;

  /*
  MakeTemp( Source, SplitKey );
  vector<UInt4> v;
  v.clear();

  for( UInt4 i=0; i<ListSize; i++ )
    v.push_back( ( UInt4 )atoi( list[i].data() ) );
  return v;
  */
}
///////////////////////////////////////////
vector<Int2> SplitString::
PutInt2Array( string Source, string SplitKey )
{
  vector< string > vs = PutStringArray( Source, SplitKey );
  UInt4 vsSize = (UInt4)(vs.size());
  
  vector< Int2 > vi( vsSize );
  for( UInt4 j=0; j<vsSize; j++ ){
    vi[ j ] = ( Int2 ) atoi( vs[ j ].c_str() ); 
  }
  return vi;

  /*
  MakeTemp( Source, SplitKey );
  vector<Int2> v;
  v.clear();
  for( UInt4 i=0; i<ListSize; i++ )
    v.push_back( ( Int2 )atoi( list[i].data() ) );
  return v;
  */
}
///////////////////////////////////////////
vector<UInt2> SplitString::
PutUInt2Array( string Source, string SplitKey )
{
  vector< string > vs = PutStringArray( Source, SplitKey );
  UInt4 vsSize = (UInt4)(vs.size());
  
  vector< UInt2 > vi( vsSize );
  for( UInt4 j=0; j<vsSize; j++ ){
    vi[ j ] = abs( ( Int2 ) atoi( vs[ j ].c_str() ) ); 
  }
  return vi;

  /*
  MakeTemp( Source, SplitKey );
  vector<UInt2> v;
  for( UInt4 i=0; i<ListSize; i++ )
    v.push_back( ( UInt2 )atoi( list[i].data() ) );
  return v;
  */
}
///////////////////////////////////////////
vector< Float > SplitString::
PutFloatArray( string Source, string SplitKey )
{
  vector< string > vs = PutStringArray( Source, SplitKey );

  vector< Float > vf;
  vf.clear();

  for( UInt4 i=0; i<vs.size(); i++ ){
    string target = vs[ i ];
    string temp = "";
    for( UInt4 j=0; j<target.size(); j++ ){
      temp = temp + " ";
    }
    if( target.compare( temp ) != 0 ){
      vf.push_back( (Float)atof( vs[i].c_str() ) );
    }
  }

  return vf;

  /*
  vector< string > vs = PutStringArray( Source, SplitKey );
  UInt4 vsSize = vs.size();
  
  vector< Float > vf( vsSize );
  for( UInt4 j=0; j<vsSize; j++ ){
    vf[ j ] = ( Float ) atof( vs[ j ].c_str() ); 
  }
  return vf;
  */
}
///////////////////////////////////////////
vector<Double> SplitString::
PutDoubleArray( string Source, string SplitKey )
{
  vector< string > vs = PutStringArray( Source, SplitKey );

  vector< Double > vf;
  vf.clear();

  for( UInt4 i=0; i<vs.size(); i++ ){
    string target = vs[ i ];
    string temp = "";
    for( UInt4 j=0; j<target.size(); j++ ){
      temp = temp + " ";
    }
    if( target.compare( temp ) != 0 ){
      vf.push_back( (Double)atof( vs[i].c_str() ) );
    }
  }

  return vf;

  /*
  UInt4 vsSize = vs.size();
  vector< Double > vf( vsSize );
  for( UInt4 j=0; j<vsSize; j++ ){
    vf[ j ] = ( Double ) atof( vs[ j ].c_str() ); 
  }
  return vf;
  */
}
/////////////////////////////////////////////
