/*
$Id: SwapBytes.cc 1562 2006-06-08 10:27:20Z suzuki $
*/


#include "SwapBytes.hh"
#ifndef  SWAPBYTES_CC
#define  SWAPBYTES_CC
///////////////////////////////////////////////////
template <class T> 
SwapBytes<T>::
SwapBytes()
{
  UInt4 n = sizeof( T );
  u = new UChar [n];
}
///////////////////////////////////////////////////
template <class T> 
SwapBytes<T>::
~SwapBytes()
{
  delete [] u;
}
///////////////////////////////////////////////////
template <class T> 
void SwapBytes<T>::
swap( T* pBuffer, UInt8 BufferLength )
{
  UInt4 n = sizeof( T );

  T* Buffer = pBuffer;
  UChar *ucBuffer;

  for( UInt8 i=0; i<BufferLength; i++ ){

    ucBuffer = ( UChar * ) &Buffer[ i ];
   
    for( UInt4 j=0; j<n; j++ ) u[j] = ucBuffer[n-j-1];
    for( UInt4 j=0; j<n; j++ ) ucBuffer[j] = u[j];
  }
}
////////////////////////////////////////////////////


#endif

